System Introduction

PrintUsage Print Monitoring System Introduction

Running Environment

Hardware Requirement

Intel Pentium III CPU or above, 20GB of free hard drive space, minimum of 128MB system memory (512MB is recommended).

Software Requirement

  • Supported Operating System: Windows 2000/XP/2003
  • Supported Database: MS Access, MS SQL Server 7.0/2000£¬MySQL 3.23 or newer. PrintUsage 2.1 also support Oracle Database 8i and newer

Attention

  • Starting from PrintUsage 2.0, Windows NT is no longer supported as the print server.
  • Monitoring service and web management service require Microsoft database access component MDAC 2.6 or above. Systems administrators are recommended to install the Latest MDAC database component to obtain the best performance.
  • MyODBC is required when MySQL is used. MyODBC, 3.51 and MySQL Database 3.23 / 4.01 have been tested to be compatible with PrintUsage 2.x.
  • Internet Explorer 5.0 or above is required for PrintUsage Web management. Internet Explorer 6.0 or newer is recommended. Other browsers are not supported. Note: PrintUsage 2.0 and earlier require Internet Explorer 6.0 to be installed on the server

Main Features

Print job recording (Enterprise Version only)

Contents of printing jobs are saved in TIFF format. Administrator can turn on or turn off image capturing and set the capture image resolution for each printer. Free TIFF image viewers are available for download.

Reprint Capability (Enterprise Version only)

Contents of print jobs saved on the server can be reprinted by the administrator via the web management interface.

Selective User Monitoring (Enterprise Version only)

The administrator can select which users are monitored by PrintUsage..

WEB Interface Management

  • PrintUsage management functions and reports are accessed through the WEB interface. Administrator can manage print resources at any workstation without the need of additional management software.
  • The software is installed on the print server and does not require changes on user workstations or the existing printing configuration.

Centralized Management and Authentication Charging

  • Multiple printers can be added to PrintUsage to achieve centralized management and cost accounting, thus make print resources management and cost control an easy task.
  • Flexible monitoring modes allow distributed monitoring by geographical decentralization and logical centralization.
  • Multiple administrators can share related PrintUsage administrator tasks.
  • Multi-roles enable different administrators with different management role to have associated privileges.

Detailed Web Reporting

  • Administrators can view report from any workstation via a web browser.
  • More than 20 graphical reports are included for print job and print cost analysis.
  • User-defined report functions provide maximum flexibility.
  • Reports can be exported to Microsoft Excel Spreadsheet format.

Flexible Charge Logging Mode

  • Cost accounting can be managed by user name or by computer name. Both Domain and peer-to-peer networks are supported.
  • User accounts can be imported from multiple domains.
  • Print cost per page can be adjusted to reflect on different paper type and color prints
  • User printing quota can be set in various time periods such as per year, quarter, month, week, day, fixed time period or no limit..

Simple Structure, Flexible Operation & Easy To Scale

  • There are three modules including the manager site, central database and monitor service, which can be installed on a single machine or multiple machines to satisfy printing control needs. (Access database is not suitable for large user base).

Support of Multiple Databases To Suite Different Environments

  • Support for Microsoft Access, Microsoft SQL Server 7.0/2000, MySQL and Oracle database. User accounts can be exported from and imported to the database.

Printer Compatibility

  • Simple monitoring: All printers used on Windows 2000/XP/2003 including multi-function machine or graph plotter are compaible.
  • Known problems and restriction:
    1. When Epson Stylus series printers are used, there is task pause problem and the user intervention is need to continue.
    2. To use printers in not running PCL5c, PCL5e, PCL6 drivers or using Epson and PostScript language under Windows 9x or with Microsoft Word, the page number and copy number are not always correct. Because of the difference in paper types, color, paper properties and printer drivers, we cannot assure all printers are 100% compatible.
  • Job recording and reprinting: Supports printer using drivers in PCL and PostScript languages. HP, Lexmark, Xerox, Sumsung, Sharp, Ricoh laser printers are supported. But HP LaserJet 1000 and 1010 series are exception, and cannot work with content saving. If your printer is not included in the brands mentioned above, or the printer is connected through the USB interface, it is possible the content saving function will not work correctly. Since it is not possible for us to test all printers of brand and model for compatibility, we recommend you to install the trial version of PrintUsage to verify your printer is compatible. If the content captured is not correct or you receive a "saving failure" error, then your printer is not supported by PrintUsage. If your printer is not mentioned in the compatible brand and models listed above and the print capture function is not working correctly, then please contact us. We will help you to resolve the problem ASAP.


Object Properties Configuration

PrintUsage Object Properties Configuration

PrintUsage has four components: User, User Group, Printer and Server.

User group is the parent object of user and server the parent object of printer. Each user can only belongs to one group and each printer can only belong to one server.
Four basic objects can configure self print monitoring properties and the relation among the objects is similar to the privilege of Windows NTFS.
User can inherit the properties configuration of user group and also cover group properties configuration by individual properties configuration.

The configuration of printer precedes the user configuration.
The print process is simply the user printing a document to printer.


Server List

Server Group--Server List

List the information of all servers:

  • Find server name: finds server list by server name.
  • Click [Add] to add print monitoring server.
  • Click [Update] to submit.
  • Click [Delete] to remove selected print monitoring server. If remove certain server, please select the option box of [Delete] column and then click [Delete] button at the bottom.
  • Click [Reset] to clear selected print monitoring server.
  • Monitored: if not select [Monitored] option box next to the Server name, the server would not be monitored; if monitor the server, please select [Monitored] option box and then click [Update] button at the bottom.
  • Monitered server name: server name. Click link of server name to view Properties of server, such as server basic information and configuration properties.
  • Control server: manage print monitoring service by Web interface. The monitoring service on print monitoring server can be controlled by Web mode, such as print monitoring, monitoring pause and service restart.
  • Printer quantity: two types: one is the number of monitored printers connected with the server and added into system, the other is all printers connected with the server, i.e. 2/11 shows the server is connecting 11 printers and two is monitored. Click 2, the information of two printers can be displayed. The first number of the printers number is less than equal to your license number. For example, if current monitored printers are 100, the license number is 100.
  • Taskes: the number of all print tasks the server is processing. Click the link to check all print task information in print log.
  • Pages: the number of all print pages the server is processing. Click the link to check all print task information in print log and queue by print pages of each task in default.
  • Cost: total cost refers to all print tasks cost sum the server is processing. Click the link to check all print task information in print log and queued by print cost of each task in default.
  • Total tasks, pages and cost are not only related with print server configuration but aslo log. Please referConfiguration-->Data Maintenance¡£
  • Letter in red bold shows the sum of printer relevant item on the server.


Add Printer

Two ways to add printers

  • [Total printer]->[Add server]->[Add printer], add new printers from selected server
  • [Server properties]->[Add printer], add non-monitored printers of server or new added printers

Note: necessary condition of adding printer: object server has installed print monitoring service and configured "dominated server" as server of manager site. HTTP service of object server should be in running. (Check HTTP service status by tray icon->[System configuration]->[Advanced])

Select the server to add printers:

    If to monitor certain printer, only select the monitored option box [image] before the printer; if not, please unselect.

    V2.1 or later version, there are four choice to save print content, including image format only, image + reprint document save, reprint document save only and not save. It will be in effect after changing the saving mode. Enterprise version only.

    The difference among four saving modes:

      1. Image format only: when choosing this function, user's print document will be saved as image and viewed in print log. Click [image] to view the print content by imge.

      2. Image + reprint document save: when choosing this function, the print content will be saved as reprint document while failed to save as imge. Click [image] to download or re-open reprint document or image; click [image] to send reprint command to printer. For instance, user A ever printed document D on shared printer P connected with print monitoring server S. After clicking [image], the document D will be sent to shared printer P connected with print server S to print.

      3. Reprint document only: it is similar to "image + reprint document save" mode, but only to create reprint document without image.

      4. Not save: user's print content will not be saved but there will record in print log.

    If the printer number exceeds the license number, the system will not allow to add any printer. If printer number do not exceed license number, it will return to server printer list. After printer adding, default configuration will inherit all configuration of server, except that user made some setting for specific printer.

    If you need to go back for changes, please click [Back] button.


Total Printers List

List All Printers Information

All printers included information:

  • Click [Add] to enter Add Printer page to add printer into monitored queue.
  • Click [Delete] to remove selected monitored printer from print monitoring list. If user wants to remove one printer, please select that printer and then click [Delete] button. The printer will be removed. If user wants to remove all printers in list, please select the option box after [Delete] on the top and then click [Delete] button. All printers will be removed.
  • Click [Reset] to clear all selected printers.
  • Click [Refresh] to reload the present page.
  • Monitored: if the option box before printer is not selected, the printer will not be monitored. Select the monitor option box that you want to monitor, and then click [Refresh] button at the bottom.

  • Capture print content: user can chooses if to save print content during monitoring, save print content as Tiff image or reprint document. (This function is only available in versions V2.1 or above).

  • Printer name: click the link of the printer to check details. Printer basic information.

  • Server name: This is the server name, which the printer is connected to. Click the link of the server to check details.Server properties¡£

  • Total jobs: Shows the sum of tasks, which server is processing. Click link to view all print tasks information in Print log.

  • Total pages: Shows the sum of printed pages, which the server is processing. Click link to view all print tasks information in Print log.

  • Total cost: Shows the sum of print cost, which the server is processing. Click link to view all print tasks information in Print log.


Basic Properties Configuration for Printer

Printer basic properties

  • General information shows printer's basic information including Printer name, Mdl, Total jobs, Total pages, Total cost, Server load , Monitored or not, Capture print content or not, Resolution ratio and Start time.
  • Printer name: printer name on print monitoring server.
  • Model: printer type.
  • Total print jobs: print tasks sum. Click Print log to review.
  • Total pages: printed pages sum. Click Print log to review.
  • Total cost: print charge sum.
  • Load: printer work percent.
  • Server load describes the ratio between print tasks of printer and that of server:

    • Load = (Print pages printer processed/Total print pages on server) * 100%

  • If the monitored option box is selected, it indicates that the printer is monitored. Selecting or unselecting option box and click [Update] button to change monitored status.
  • [Capture print content] indicates if the printer saves print content or not. How to save print content, please refer to Four differences amont four save modes of Add Printers
  • [Saved Image Resolution] determines saved images resolution ratio. there are 75, 100, 150, 200, 300 and 600DPI optional. Low resolution leads to low definition but saves disk space. On the contrary, high resolution brings high definition images but needs more disk spaces. The default setting is 300DPI.
  • Click [Update] to save current setting.
  • Click [Reset] to restore initialized status.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.

Configuration information can be managed in Configuration Template Management of Settings.


Configure Printer Charge Properties

Printer charge properties:

  • Inherit server settings:

    • Under selected status, all settings inherits server charge settings and cannot be modified. If clear [Inherit server settings] option, printer charge setting can be individually configured. Please refer to Server Charge Settings¡£

  • Select from existing configuration templates. Please refer to Template Management¡£

Charge Explanation

    • Simple charege mode: same charge for each page, either single page or double page.
    • Charge by area: charge as per different color and exact area, either single page or double, A4 or A3.
    • Advanced charge mode: different paper type, different charge.
    • Advanced mode: makes unit price for each paper type and every paper can use Mono cost and Color cost. You can use the default cost for all paper types.

      When user doesn't select paper type, the print will be rejected. For example, if user prints with A3 paper but doesn't select A3 paper, the print will be reject.
      If user doesn't select [Allow other paper type], when paper is different from above listed paper type, the print will be rejected.
    • Save template as... : current configuration will be saved as configuration file which can be used when need. The management and Settings can be done by Settings--->Configuration Template Management--->Server Templates.
    • Select from existing template: select from existing server templates and reuse original configuration. The current configuration is template finger quotation.
    • Click [Save configuration] to save current configuration. The current configuration is template value quotation.
    • Click [Save configuration as...] to save current server configuration. Input name in dialog box and press confirm to complete new template.
    • Click [Reset all objects] to return to last successful saved status.

    Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Configure Printer File Type

File Type
  • All file types are authorized: except for file types listed.
  • All file types are rejected: except for file types listed.
  • Selection usage of file types:
    • Click [Add] to select file types needed in pop-up dialog box.

      After selection, click [Add]. You will find file types in type list of user group properties and then click [Save] to complete.
    • If the user group doesn't use filt types listed any more, please select file types and click [Remove] and then [Save].
  • File size limit: max upper limit file size in one print to avoid printer jam or waste during printing large file. Leave blank or input 0 to cancel limit.
  • Page limit: upper limit of page in one print to avoid printer jam or waste during printing large file. Leave blank or input 0 to cancel limit.
  • Key words limit: to input some special key words such as Resume and Sex to reject the print when file printed is included such words in the name by filtering the file name. The key words should be divided by semicolon (;) .
  • Charge limit: max upper limit of charge in one print to avoid printer jam or waste during printing large file. Leave blank or input 0 to cancel limit.
  • Configuration name: to input a name to save current user configuration for late use.
  • Select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User Group configuration.
  • Click [Save template as...] to save current User Group configuration. for late use or configuring other User Group, which can be managed in Configuration template management of Settings.
  • Click [Reset all sun objects properties] to return to page original status, that is to return to last save.

Note: Only when Monitor Mode Setting is enabled [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Configure Print Time of Printer

Configure Print Time of Printer

  • Inherit server settings:

    • When selected, printer monitoring time will inherit related time settings from the server.
    • When unavailable, the monitoring time cannot be selected because there is no time settings on server.
    • When not selected, user can set printer time individually to cover server time settings.
  • Print allow, print reject: Blue refers to Allow and Grey refers to Deny. You can choose by two option boxes.
    Detailed settings:
    • To select one column, please click the head of the column. For example: Clicking digit 2 will select whole column.
    • To select one line, please click the head of the line.
    • To select whole time table, please click grid of Week.
  • Configuration name: to input a name to save current user configuration for late use.
  • Select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User Group configuration.
  • Click [Save as...] to save a modified configuration as a new one, which can be managed in Configuration template management of Settings.
  • Click [Reset] and refresh page to return to page original status.

Note: Only when Monitor Mode Setting is enable [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


 Configure User Properties

Configure User Properties£º

  • Inherit server settings:
    • When selected, printer monitoring time will inherit related time settings from the server.
    • When unavailable, the monitoring time cannot be selected because there is no time settings on server.
    • When not selected, user can set printer time individually to cover server time settings.
  • Custom selection:
    • Add user in list. Click [Add] to select user name needed in pop-up dialog box.

      Select user needed to be added and click [Add] and [Save] to add user into list.
    • Remove user from list. Select user needed to be removed and Click [Delete] [Save] to remove user from list.
  • Click [Save] to save current print settings.
  • Click [Save template as...] to save current printer settings as a new one, which can be modified in Configuration template management of Settings.

Note: Only when Monitor Mode Setting is enabled [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.

¡£


Add Server

Add Print Server to Manager site:

Setp one: Select server

  • Select print server name, click select button "<", and then click [Next].
  • IP address and description are optional.
  • Servers lists on drop-down box refers to the servers that print monitoring service have been successfully installed.

Note: necessary condition that server names is displayed in right side list of [Add Server]

1. The server has installed PrintUsage monitoring service.

2. Specific dominating server should install Web site management.

Step Two: Add printers to the monitoring server

Select printers monitored by server:

    Select printers needed to be monitored from the Printer list.

    Select printers which you want to monitor its print content from the [Save print content] option box [image] , and then click [Submit] at the bottom.

    Once the printer is selected, user can select if the print content needs to be saved or not.

Note: Not all types of printers support content saving. If you got error message, or code (failed content save), most likely the printers or the dirvers do not support this feature. So, you have to set save mode as any mode except for [Not Save] in order to obtain the print content.


Basic Properties Configuration for Server

General Information

  • General information shows server's basic information including Server name, IP, Total jobs, Total pages, Total cost, Printer numbers, Load , Monitored or not, and Server monitoring service status.
  • Server name: print monitoring server name is the server ID in system, which is unchangeable.
  • IP: only description for print monitoring server.
  • Toal print jobs: The sum of print jobs. Click digit to view Print Log.
  • Total printed pages: The sum of printed pages. Click digit to view Print Log.
  • Total cost: The sum of print cost. Click digit to view Print Log.
  • Printer numbers: The total number of printers. Click digit to view monitored printers by the server.
  • Load: It describes the ratio between print tasks server processed and total print tasks:
    Load = (Print pages server processed/Total printed pages) * 100%

Note: Only when Monitor Mode Setting is enabled [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Configure Server Charge Properties

Server Property---Charging

Charge Explanation

  • Simple charege mode: same charge for each page, either single page or double page.
  • Charge by area: charge as per different color and exact area, either single page or double, A4 or A3.
  • Advanced charge mode: different paper type, different charge.
  • Advanced mode: makes unit price for each paper type and every paper can use Mono cost and Color cost. You can use the default cost for all paper types.

    When user doesn't select paper type, the print will be rejected. For example, if user prints with A3 paper but doesn't select A3 paper, the print will be reject.
    If user doesn't select [Allow other paper type], when paper is different from above listed paper type, the print will be rejected.
  • Save template as... : current configuration will be saved as configuration file which can be used when need. The management and Settings can be done by Settings--->Configuration Template Management--->Server Templates.
  • Select from existing template: select from existing server templates and reuse original configuration. The current configuration is template finger quotation.
  • Click [Save configuration] to save current configuration. The current configuration is template value quotation.
  • Click [Save configuration as...] to save current server configuration. Input name in dialog box and press confirm to complete new template.
  • Click [Reset all objects] to return to last successful saved status.

Note: Only when Monitor Mode Setting is enable [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Server Property

Server Property---File Type

File Type

  • All file types are authorized: except for file types listed.
  • All file types are denied: except for file types listed.
  • Selection usage of file types:
    • Click [Add] to select file types needed in pop-up dialog box.

      After selection, click [Add]. You will find file types in type list of user group properties and then click [Save] to complete.
    • If the user group doesn't use filt types listed any more, please select file types and click [Remove] and then [Save].
  • File size limit: Max print size to avoid printer jam or waste during printing large file. Leave blank or input 0 to cancel limit.
  • Page limit: Max number of page in one print to avoid printer jam or waste during printing large file. Leave blank or input 0 to cancel limit.
  • Key words limit: Input special keywords to the filter such as Resume and Sex, the print job will be denied. The key words should be divided by semicolon (;) .
  • Charge limit: Max print cost in one print to avoid printer jam or waste during printing large file. Leave blank or input 0 to cancel limit.
  • Configuration name: Input a name to save current user configuration for late use.
  • Select from existing configuration: Select form existing User Group configuration.
  • Click [Save] to Save current User Group configuration.
  • Click [Save template as...] to save current User Group configuration. for late use or configuring other User Group, which can be managed in Configuration template management of Settings.
  • Click [Reset] to return to page original status, or last save.

Note: Only when Monitor Mode Setting is enable [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Server Property

Server Property---Time

Configure Print Time of Server

  • Print allow, print reject: blue refer to allow and grey refer to reject. You can choose by two option boxes.
    Detailed settings:
    • To select one column, please click the head of the column. For example, to click digit 2 will select whole column.
    • To select one line, please click the head of the line.
    • To select whole time table, please click grid of Week.
  • Configuration name: to input a name to save current user configuration for late use.
  • Select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User Group configuration.
  • Click [Save as...] to save a modified configuration as a new one, which can be managed in Configuration template management of Settings.
  • Click [Reset] and refresh page to to return to page original status.

Note: Only when Monitor Mode Setting is enable [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Server Property

Server Property---Users

User

  • Authorize all users: All users are authorized to print, except the one listed.
  • Deny all users: All print jobs will be denied, except anyone listed.

    • Custom Selection:

    • Add user into the list: Click [Add] to select user name needed in pop-up dialog box.

      Select user needed to be added, click [Add] and [Save] to add user into list.
    • Remove user from list. Select user needed to be removed and Click [Delete] [Save] to remove user from list.

    Note: Only when Monitor Mode Setting is enable [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Group List

  • The Group List shows the current groups on the PrintUsage system. Groups can be used to represent departments.
  • To delete a group or multiple groups, place a check mark [image] by the group name then click the [Delete] button. All users belong to the deleted group(s) will be purged concurrently.
  • Click [Add] to enter Add Group.
  • Click [User List] to view the User List page.
  • Click [Group Name] to view the Group Setup page.
  • Click user number link to enter Group User List. It shows user number of group, which can be treated as user sum of the department.
  • Click total jobs link to view group Print Log. It shows all print tasks since Install and start print moniorting service.
  • Click total pages link to view group Print Log. It shows all print pages since Install and start print moniorting service.
  • Click total cost link to view group Print Log. It shows all print charges since Install and start print moniorting service.
  • After user recalculate the amount according to log, print jobs, pages and cost will cumulate based on the amount.


Add User Group

Add Group

  • User/group name can be used to identify departments.
  • Description field is for describing the user group in detail.
  • Click [Add] to save user informantion into database. The Group name is required.
  • Click [Reset] to clear all tables.
  • Click [Return] to return to Group List.
  • After the group is added succesfully, the new group will display in Group List.


Quota Reset

  • User's quota: available balance given to user daily, weekly or monthly.
  • Allow printing over quota, Max usage over quota :
    Ration: user can overdraft charge by upper limit setting.
    Percentage: user can overdraft charge as percentage of total print charge, such as 20% of total charge.
  • Click [Save] to save current setting.
  • Click [Reset] to reset the default setting.


Configure User Group Basic Properties

Group Setup

  • User/Group name could be company, department and office.
  • Total user is the count of group users. Click digit link to enter Group User List.
  • Quota refers to max. print chareges allowed to user. User group quota can be set in Quota. The quota setting of user group will influence user Quota and balance.
  • Total jobs refer to all print tasks Install and start print moniorting service. Click digit link to view group Print Log.
  • Total pages refer to all printed pages Install and start print moniorting service. Click digit link to view group Print Log.
  • Total cost refer to all print charges Install and start print moniorting service. Click digit link to view group Print Log.
  • Description is the explanation of group.
  • Click [Update] to modify group information.
  • Click [Reset] to reload default setting.
  • Click [Add User] to Add New User for group.
  • When Monitor Mode Setting on [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.


Configure User Group File Type

Group File Type

  • All file types are authorized: except for file listed.
  • All file types are rejected: except for file listed.
  • Setup template name: after user select the existing template and click [Apply], he will see [Setup Template Name]-->[Template Name] in File Type page.
  • Selection usage of file types:
    • Click [Add] to select file types in pop-up dialog box.

      After selection, click [Add]. There display file types in type list of user group properties and then click [Save] to complete.
    • If the user group doesn't use file types listed, please removed.
  • File size limit: maximum upper limit file size in one print to avoid printer jam. Leave blank or input 0 without limit.
  • Page limit: maximum upper limit of page in one print to avoid printer jam. Leave blank or input 0 without limit.
  • Key words limit: to input some special key words such as Resume and Sex to reject the print when file printed is included such words in the name by filtering the file name. The key words should be separate by semicolon (;).
  • Charge limit: maximum max upper limit of charge in one print to avoid printer jam. Leave blank or input 0 without limit.
  • Configuration name: save a name for current user configuration for later use.
  • Select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User Group configuration.
  • Click [Save template as...] to save current User Group configuration. for later use or configuring other User Group, which can be managed in Configuration template management of Settings.
  • Click [Reset all sun objects properties] to return to page original status.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.

Settings information can be modied in Setup-->Setup Template Management.


Configure Printer Properties of User Group

  • All printers are authorized to use: except for those file listed.
  • All printers are rejected: except for those file listed.
  • Printer selection usage:
    • Click [Add] to select printers in pop-up box.

      After selection, click [Add]. You will find printers in printer list of user group properties and then click [Save] to complete.
    • If the user group doesn't use printer listed any more, please removed.
  • Setup template name: after user select the existing template and click [Apply], then [Setup Template Name]-->[Template Name] in File Type page.
  • Select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User configuration used for later group printer.
  • Click [Save template as...] to save current User Group configuration for later use or configuring other User Group
  • Click [Reset all sun objects properties] to return to page original status, that is to return to last save.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.

Settings information can be modied in Setup-->Setup Template Management.


Configure User Group Quota

  • Setup template name: after user select the existing template and click [Apply], then [Setup Template Name]-->[Template Name] in User Quota page. Please refer to Template Finger Quotation and Template Value Quotation in Setup-->Setup Template Management.
  • User quota: available print charge given to user by day,week or month.
  • If select none, when user reach quota, the print can not be continued. It needs administrator to allocate quota again.
    When selected type of day, week, quarter and year, user quota will be automatically renewed after each time period.
    • Overdraft allowed, upper limit:
      Ration overdraft: user can overdraft charge as upper limit setting.
      Percentage overdraft: user can overdraft charge as per percentage of total print charge, such as 20% of total charege.
    • Click [Save] to save current u ser configuration.
    • Click [Save template as...] to save a modified template as a new one, which can be manged in Setup-->Setup Template Management.
    • Click [Reset all sun objects properties] to refresh page and reload default setting.
    • Click [Select from existing templates] to select existing template and click [Apply] to use current setting.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.

Settings information in Setup-->Setup Template Management.


Configure User Group Time
  • Print allow, print reject: blue refer to allow and grey refer to reject. Two option boxes are available for color selection. Detailed settings:
  • To select one column, please click the head of the column. For example, to click digit 2 will select whole column.
  • To select one line, please click the head of the line.
  • To select whole time table, please click grid of Week.

    The figure shows that only the time of 3:00 to 3:59 on Wednesday is allowed to print. Other time period is rejected.

  • Setup template name: after user select the existing template and click [Apply], he will see [Setup Template Name]-->[Template Name] in User Quota page. Please refer to Template Finger Quotation and Template Value Quotation in Setup-->Setup Template Management.
  • Click [Save] to save current User Group configuration.
  • Click [Save as...] to save a modified configuration as a new one, which can be managed in of Settings of Configuration template management.
  • Click [Reset all sun objects properties] to refresh page and load default setting.
  • Click [Select from existing templates] to select existing template

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.

Settings information in Setup-->Setup Template Management.


Group User List

  • Input user name to search for that user and the function supports partial-word search.
  • Click [Delete] to remove selected users. After deleted, the print log of that user will not be deleted.
  • Click [Reset] to load default page.
  • Click [Add] to enter Add User page.
  • Click [Move to Group] to move selected user to a specific group. When user is moved to specific group, it is optional to move print charge count to the new group and leave print log in old group.

    When user is moved to a new group, the balance will change.
  • Click [Add Balance] to add balance for all checked users. The balance can be negative.
  • Click [Reset all group's quota] to enter Reset all group's quota page.
  • Click table heading such as user name, full name, quota, current balance, overdraft upper limit, total tasks, total pages and total charges to sort itmes in ascending or descending.
  • Click user name link to setup user properties .
  • Click total tasks, total pages, total charges to link to Print Log page.


Add User

  • Figure 1 is to add user from user group and figure 2 is to add from all users.
  • Input user domain account name or computer name (based on Authentication Mode).
  • Input Email address to Print Reminding. User name must be unique.
  • [Full name] is used to distinguish users.
  • Single user cannot belong to multi-group.
  • Click [Add] to add user to group user list. After adding, it will turn to whole group user list.
  • Click [Reset] to reload default page.
  • Click [Back] to return to User List.


User List

  • Click [Remove] to remove selected users. For Enterprise Version, to remove user will not remove user print content at the same time.
  • Click [Reset] to clear all selection.
  • Click [Add] to enter Add Userpage.
  • Click [Refresh] to clear selection and user list.
  • Click [Move to Group] to move selected user from group. Refer to Group User List.
  • Click [Add Balance] to add balance for all users.
  • Click [Reset all user balance] to enter Reset all user balance.
  • Click [User name] to enter User Setup page.
  • Click total tasks, total pages, total charges link to enter Print Log page.
  • Click [Affiliated group] to enter Group setup page.


All User List

  • Click [Remove] to remove selected users.
  • Click [Reset] to clear all selection without page reloading.
  • Click [Add] to enter Add Userpage.
  • Click [Move to Group] to move selected user to specific group. Refer to Group User List.
  • Click [Add Balance] to add balance for all users. The balance of user cannot be decreased by negative number.
  • Click [Reset all user balance] to enter Reset all user balance.
  • Click total tasks, total pages, total charges link to enter Print Log page.
  • Click table header such as user name, Email address, quota, current balance, overdraft upper limit to sort listed itmes in ascending [image] or descending. order.
  • Click [Affiliated group] to enter Group setup page.


Configure User Basic Information

  • User name: user/computer for system use only.
  • Full name: user full name.
  • Email: Send reminding email to user.
  • Save print content: to save print content or not.
  • Monitoring: to record user printing information. If not, user print job will not be recorded into log and charged.
  • Quota: user quota.
  • Balance: remain balance user can use.
  • Overdraft upper limit: max. amount of overdraft such as quota percentage and exceed.
  • User/computer group name: group of department user or computer.
  • Total tasks: Total printed tasks.
  • Total pages: Total printed pages.
  • Total charges: Total charges amount.
  • Click [Update] to save modified user information.
  • Click User/computer group name link to view or update Group Setup.
  • If the user data is updated, the print pages, tasks and charges will be changed. Please refer to Setup-->Data Maintanence.

Note: Only when Monitor Mode Setting set to [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota will available.


Configure User File Types

  • Setup template name: after user select the existing template and click [Apply], he will see [Setup Template Name]-->[Template Name] in File Type page.
  • Inherit group setup:
    • When selected, file type setup will inherit settings from the group.
    • When unavailable, file type cannot be setup. The option box is unavailable when group has no file type setup.
    • If not selected, file type can be setup individually in group settings.
  • All file types are authorized: except these file listed.
  • All file types are rejected: except these file listed.
  • Selection usage of file types:
    • Clear group inherit setup first to enable [Add] function. Click [Add] to display all file type list.

      After selection, click [Add]. there display file types in type list of user group properties and then click [Save] to complete.

  • File size limit: maximum upper limit file size in one print to avoid printer jam during printing large file. Leave blank or input 0 without limit.
  • Page limit: maximum upper limit of page in one print to avoid printer jam during printing large file. Leave blank or input 0 without limit.
  • Key words limit: to input some special key words such as Resume and Sex to reject the print when file printed is included such words in the name by filtering the file name. The key words should be separate by semicolon (;).
  • Charge limit: maximum upper limit of charge in one print to avoid printer jam during printing large file. Leave blank or input 0 without limit.
  • Configuration name: to input a name to save current user configuration for later use.
  • Select from existing configuration: to select form existing user configuration.
  • Click [Save] to save current User Group configuration.
  • Click [Save template as...] to save current User Group configuration.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Configure User Printer

  • Setup template name: after user select the existing template and click [Apply], he will see [Setup Template Name]-->[Template Name] in File Type page.
  • Inherit group setup:
    • When selected, printer setup will inherit related settings from the group.
    • When unavailable, printer cannot be setup. The option box is unavailable when group has no printer setup.
    • If not selected, printer can be setup individually to group settings.
  • All printers are authorized: except for those file listed.
  • All printers are rejected: except for those file listed.
  • Selection usage of printer:
    • Click [Add] to select printers in pop-up box.

      After selection, click [Add]. There display printers in printer list of user group properties and then click [Save] to complete.
    • If the user group doesn't use printers listed any more, please removed.
  • Congiguration name: input a name to save current user modified information for later use of other user configuration.
  • Select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User configuration.
  • Click [Save template as...] to save current User configuration .

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User, Print Time, Document Type and Charge can be available.


Configure User Quota

  • Setup template name: after user select the existing template and click [Apply], he will see [Setup Template Name]-->[Template Name] in File Type page.
  • Inherit group setup:
    • When selected, quota setup will inherit related settings from the group.
    • When unavailable, quota cannot be setup. The option box is unavailable when group has no quota setup.
    • if not selected, quota can be setup individually to group settings.

  • User quota: available print charge given to user in unit period (day, week, month...).
  • Overdraft allowed, upper limit: Overdraft allowed, upper limit: the value input must be plus. User can properly overdraft print charge according to overdraft type selection.
  • Congiguration name: input a name to save current user modified information for later use of other user configuration.
  • select from existing configuration: to select form existing User Group configuration.
  • Click [Save] to save current User configuration.
  • Click [Save template as...] to save current User configuration .
  • Click [Reset] to reset the page.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.

Settings information can be modied in Setup-->Setup Template Management.


Configure User time

  • Setup template name: after user select the existing template and click [Apply], he will see [Setup Template Name]-->[Template Name] in File Type page.
  • Inherit group setup:

    • When selected, time setup will inherit related settings from the group.
    • When unavailable, time cannot be setup. The option box is unavailable when group has no time setup.
    • When not selected, time can be setup individually to cover group settings.
  • Allow Print, Deny Print: blue refers to allow and grey refers to reject. Two option boxes are available for color selection.
  • Detailed settings:
    • To select one column, please click the head of the column. For example, to click digit 3 will select whole column.
    • To select one line, please click the head of the line.
    • To select whole time table, please click grid of Week.
    • The figure shows that only the time of 3:00 to 3:59 on Wednesday is allowed to print. Other time period is rejected.
  • Click [Select from existing templates] to select existing template.
  • Click [Save] to save current User Group configuration.

  • Click [Save as...] to save a modified configuration as a new one, which can be managed in of Settings of Configuration template management.

Note: Only when Monitor Mode Setting is [Monitoring and Advanced Control], the configuration of User Group Printer, Print Time, File Type, User Quota are available.

Settings information can be modified in Option List-->Template.


Report List

1.Ranks

Ranks can be divided by Top User , Top Group/Department , Top Printer, Top Server, Top Computer and Top Task. Top User Ranks . The ranks statistic report according to pages print, charges, print amount from one user in certain period. It's similar to several other types.

2.Summary

Analyze print jobs by year, month, date or other period. There are two kinds of reports including CrossTab Usage Analysis and Master/Detail Usage Analysis .

3.Task Analysis

Get the graphic report forms from the number of the printing bytes and printing pages according to the different tasks of the printers. Reports includes File Types Analysis , Pages Analysis , Paper Size Analysis , Color/Mono Analysis and so on.

4.Loading Analysis

Get the loading by servers, printers and users in a certain period according to the user's printing situation, divided into Printer Analysis , Server Analysis , Computer Analysis , User Analysis.

5.Time Analysis

Statistic report based on print time including 24 hour analysis, week analysis , 31 day analysis , quarter analysis, 12 month analysis , yearly analysis and weekday analysis.

Note£º

    Click [image] on top right corner to hide the type of the report. Click [image] on top right corner to display the type of the report.

    Each type includes Simple report and Advanced report according to needs.


Simple Report

Specification:

The default graphical report page displays base on user settings. Refer to Advanced Settings for detailed.

Click [Close query condition] to hide report option in order to expand report space.

The simple report is a slight different with Summary.

Steps:

1.Style Select List

The drop down menu selection: bar, horizontal, line, pie, point, area.

Default value is Bar. View/Hide Style Select List

2.Value Display

The drop down menu selection: total bytes, total printing pages, total printing cost. Default is total pages printed.

View/Hide Value Display Method

3.Print Status

The drop down menu selection: all, printed, denied.

Default is All. View/Hide Print Status

4. Time Range

The drop down menu includes custom, year, month, week and day. If user choose custom type, you can choose preferred time period in time selection box; if you are choosing year, month, week and day, the time selection box will be disable.

The default value is current year and month. View/Hide Time Selection

5.Submit

Click the button of "Create a report form", it displays different graphs and content datum according to the selection by the user. Create a graph as Report Model.

Click the button of "Reset", go back to the last setting.

Click the button of "Print Preview", preview the current report form from the user.

Click the button of "Import", import report from Excel file.

Click the button of "Return", go back to the last submitted page.

6.Advanced Settings

Click this link, depend on your selection, creating Advanced Report

Note: user can change default value at Report\Type_Top.xml in the installation directory. Please read ¡°Advanced Settings¡± carefully and make backup before modification. You can change report model by changing the xml file. Please refer to Advanced¡ª>Report Options


Ranks

1.Top User

Analyze users maximum usage base on user requirement.

2.Top Printer

Analyze printers maximum usage base on user requirement.

3. Top Computer

Analysz computers maximum usage base on user requirement.

4.Top Group/Department

Analyze groups/departments maximum usage base on user requirement.

5.Top Server

Analyze servers maximum usage base on user requirement.

Note: User can edit INI file according to user's requirement. ( Advanced Settings££Report Configuration). Please backup ini file before make modification.


Top Computer Ranking

Computer ranking includes computer ranking query and computer ranking report.

Please refer to Simple Report Condition for computer ranking query.

Click on computer name to display statistic of each computer.

Specification:

Page shows 10 most usage computers shown in descending order.

Click on computer name to view statistic with satisfying statistic conditions of ranking report, including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make backup before make modification.


Top Group/Department Ranking

Group/department ranking includes Group/department ranking query and Group/department ranking report.

Please refer to Simple Report Condition for Group/department ranking query.

Click on group/department name to display detail statistic information.

Specification:

Page shows 10 most usage group/department shown in descending order.

Click on group/department name to display statistic with satisfying statistic conditions ofranking report, including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make backup before make modification.


Top Printer Ranking

Printer ranking includes printer ranking query and printer ranking report.

Please refer to Simple Report Condition for printer ranking query.

Click on printer name to display detail statistic.

Specification:

Page shows 10 most usage printers shown in descending order..

Click on printer name to display statistic with satisfying statistic conditions ofranking report, including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make backup before make modification.


Top Print Server Ranking

Print server ranking includes print server ranking query and print server ranking report.

Please refer to Simple Report Condition for print server ranking query.

Click on server name to display statistic of each printer.

Specification:

Print server is a management server if you installing printer and print monitor service on that server.

Monitoring server and print server are different. From hardware of view, print monitoring server is a computer, but print server is the hardware configuration; From software of view, monitoring server installed the print monitoring program, but print server din't install any programs on server.

shows 10 most usage print servers shown in descending order.

Click on server name to view statistic with satisfying statistic conditions of ranking report, including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make backup before make modification.


Top Task Ranking

Task ranking includes user ranking query and user ranking report.

Please refer to Simple Report Condition for user ranking query.

Click on user name to display detail statistic.

Specification:

Page shows 10 most usage user print shown in descending order..

Click on user name to view statistic with satisfying statistic conditions of ranking report, including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make backup before make modification.


Top User Ranking

User ranking includes user ranking query and user ranking report.

Please refer to Simple Report Condition for user ranking query.

Click on user name to display detail statistic.

Specification:

Page shows 10 most usage user print shown in descending order..

Click on user name to view statistic with satisfying statistic conditions of user ranking report, including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make backup before modification.


Summary

1.Cross tab Usage Analysis

Base on your searching condition, get statistic report by year ,month, and date.

2.Master/Detail Usage Analysis

Base on your searching condition, ranking series and ranking orientation, get statistic report within different category. If report include department and department's members, it can also display department usage and department's members usage separately.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± carefully and make backup before modification.


Cross tab Usage Analysis

Cross tab Usage analysis includes Query Condition and Report Generation

Cross tab usage report can be display by style list, data displaying method, print status, time range, sort type.

Style List : setup report style:

Data displaying method : setup default report display which is sorted by cost, pages prints.:

Print Status : setup data display type. If choosing denied, all denied print job will be displayed.

Time Range : Select the time period you want to view.

Generate Report

The 1st line is user selected time period and 1st column is user ID, this report shows user printing charge by month.


Master/Detail Usage Analysis

Master/Detail Usage analysis includes Master/Detail Report Query Condition and Master/Detail Report Generation

Master/detail usage report can be view by style list, print status, master report sort, time range, detail report sort.

Style List : setup report style:

Print Status: setup data display type. If choosing denied, all denied print job will be displayed.

Master report sorting: setup sorting type for master report

Time range: Select the time period you want to view.

Detail report sorting: sort by print charge type.

Generate report for each user's printing cost.

Relevant operation:

1.Generate Report

Choose report style. The list can be added or removed by user. See Report Setting for detail. Default value is the first one. The time range selection type is click: "month statistic", then, click "Creating report" button, detail description will be shown below:

If page display is large then actually screen, click on the top "close finding condition" to close the button.

2.Report Preview

When preview report, it can be preview from current create report, or preview from previous report.

If you want preview the previous report, just click "preview"button. If you want preview the newly create report, first choose report type. It's same way as "creating report", only difference is use "preview" button instead of "creating report" button.

3.Report Export

If you want to re-edit data, we also provide the function to export the data to Excel file. Choose condition type, then, click "export" button.Open the file directly. Right click to choose"save as", and save the export file into your local folder. The file extension is xls file type.

Note: User can edit setting( Advanced Setting )through INI file.

User can edit report style by modify XML file( XML Specification ) .


XML Specification

<Root>
<CrossTab ID="Style1">
<StyleName>StyleName1</StyleName>
<ColumnType>M</ColumnType>
<RowType>GroupName</RowType>
<RecordPerPage>0</RecordPerPage>
<Table>
<BorderWidth>1</BorderWidth>
<BorderColor>black</BorderColor>
<Width>100%</Width>
</Table>
<Guard>
<MaxValue>0</MaxValue>
<BgColor>red</BgColor>
<FontColor>white</FontColor>
<FontSize></FontSize>
<FontStyle>3</FontStyle>
</Guard>
<Title>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>14pt</FontSize>
<FontStyle>1</FontStyle>
</Title>
<Head>
<BgColor></BgColor>
<FontColor>black</FontColor>
<FontSize>12pt</FontSize>
<FontStyle>1</FontStyle>
</Head>
<Left>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
</Left>
<Main>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
<AlternateBgColor>#EEEEEE</AlternateBgColor>
<AlternateFontColor></AlternateFontColor>
<AlternateNum>5</AlternateNum>

</Main>
<Summation>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>1</FontStyle>
</Summation>
<SubTotal>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
</SubTotal>
<Query>
<StartDttm></StartDttm>
<EndDttm></EndDttm>
<Status></Status>
<Filter></Filter>
</Query>
</CrossTab>

</Root>

1.Costant specification

ID stands for the only mark of cross tab
StyleName stands for the name of cross tab
RowType stands for the showing data type on the left of the list. It can be all the existing fields such as User: user, Group: group/department etc.
ColumnType stands for the showing data type over the list. There are three kinds: Y stands for year; M stands for month; D stands for day; W stands for week; Q stands for Quarter.

MaxValue stands for the maximal value

Headr stands for the top of the list.
Left stands for the left of the list
Main stands for data showing district
Summation stands for total
SubTotal stand for subtotal

AlternateBgColor stands for the alternating background color. Default is blank.
AlternateFontColor stands for the alternating font color. Default is blank.
AlternateNum stands for the alternating record number.

FontColor stands for front color. Default is blank.
BgColor stands for background color of font. Default is blank.
FontSize stands for font size
FontStyle stands for font style. 0 is normal, 1 is bold, 2 is italic, 3 is bold italic.

RecordPerPage stands for record number per page. 0 stands for showing all the records.

2.Related Settings

Path to XML file: in the Report directory in installation directory, if it is the cross report, the directory is CrossTab. If it is the principal and subordinate report, the directory is MasterDetail. When to modify XML, only to modify Config. xml in the current directory.

If the above file was updated, it will take effective next time open the program, i.e.when open the report next time, the new setting will be applied.

If you modify the above setting, it will not be effective immediately. There must be a chs_Report.ini in the installation directory.

[Report_CrossTab]
Style1=Month-department statistic
Style2=Monthe-user statistic

[Report_MasteDetail]
Style1=Department-user statistic
Style2=User-file type statistic
Style3=Server-printer statistic

If it is the cross report, modify "Report_CrossTab". If it is principal and subordinate report, modify "Report_MasterDetail". If a principal and subordinate report is added, add a line of "Style4=XXXXX" under Report_MasterDetail. Please pay attention to that here "Style4" must accord with the added ID number by user, otherwise it is no effective. Finally, the naming rule for "XXXX" is "ColumnType-RowType" statistic in setting.


Task Analysis

1.File Type Analysis

Analyze print by document type. for example, doc, txt, wps.

2.Pages Analysis

Analyze print by total page print out. for example, one to three page, four to six page.

3.Paper Size Analysis

Analyze print by paper size.

4.Color/Mono Analysis

Analyze print by print color type.

Notice£º User can modify default value from Report\Report_Top_User\Config.ini. Please refer ¡°Advance Setting¡± and backup before make modification.


File Type Analysis

Report with different file type.

User can refer to Simple Report Condition

Click on document type to get statistic of each document type. By clicking on doc to display information of all .doc printed files.

Specification:

Page shows 10 most usage document types shown in descending order.

Click on document type to get its statistic information with statistical conditions . It displays all related printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from R eport\Report_FileType\Config.ini. Please refer" advanced setting" and backup before make modification.


Paper Size Analysis

Paper size statistic report is created by inquiry and page format.

Click on paper size to get statistic by papers size. By click on A4 to display statistical information of A4 papers.

Specification:

The page displays all different paper types, statistic report with total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on paper type to get related statistical information with different paper type statistical conditions . It displays related printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from R eport\Report_FileType\Config.ini. Please refer" advanced setting" and backup before make modification.


Color/Mono Analysis

Printed color statistical report created by inquiry and report forming.

Click on color to display statistical information by color type. By click black and white to display statistical information of all black and white printing task.

Specification:

The page displays all printing by colors, graphical chart with total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on color types to get information of different printing color type statistical conditions . It displays related printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from R eport\Report_FileType\Config.ini. Please refer" advanced setting" and backup before make modification.


Pages Analysis

Printed Page Analysis Report is created by inquiry and report forming

User can refer to Simple Report Condition

Click on pages printed to display statistical information of all different total pages printed out.

Specification:

Page shows 10 most pages print shown in descending order.

Click on printed pages to get related statistical information with statistical conditions. It displays related printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from R eport\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


Loading Analysis

1.Printer Analysis

Analyzing printing status by printer.

2.Server Analysis

Analyzing printing status by printer server.

3.Computer Analysis

Analyzing printing status by computer.

4.User Analysis

Analyzing printing status by each users.


Computer Analysis

Computer analysis has two options, query condition and report generation.

Please refer to Simple Report Condition for query condition.

Click on computer name to display detail statistic of each print client.

Specification:

Page shows 10 most usage users shown in descending order.

Click on printer name to view statistic with satisfying statistic conditions of ranking report, report including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make a backup before you make any modification.


Printer Analysis

Printer analysis has two options, query condition and report generation.

Please refer to Simple Report Condition for query condition.

Click on printer name to display detail statistic of each printer.

Specification:

Page shows 10 most usage printers shown in descending order.

Click on printer name to view statistic with satisfying statistic conditions of ranking report, report including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make a backup before you make any modification.


Server Analysis

Server analysis has two options, query condition and report generation.

Please refer to Simple Report Condition for query condition.

Click on server name to display detail statistic of each server.

Specification:

Page shows 10 most usage servers shown in descending order.

Click on server name to view statistic with satisfying statistic conditions of ranking report, report including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make a backup before you make modification.


User Analysis

User analysis has two options, query condition and report generation.

Please refer to Simple Report Condition for query condition.

Click on user name to display detail statistic of each user.

Specification:

Click on user name to view statistic with satisfying statistic conditions of ranking report, report including printer name, print server name, print date, pages, file name, bytes, print charge, user name and user full name.

Note: user can change default value in Report\Type_Top.xml. Please refer ¡°Advanced Settings¡± and make a backup before you make modification.


Time Analysis

1. 24 Hour Analysis

Analysis printing job in last 24 hr.

2. Weekday Analysis

Analysis printing job in last week.

3. 31 Day Analysis

Analysis printing job from 1 day to 31 days.

4. Quarter Analysis

Analysis printing job from last quarter.

5. 12 Month Analysis

Analysis printing job from 1 month to 12 months.

6. Year Analysis

Analysis printing job yearly.

7. Week Analysis

Analysis printing job weekly.


12 Month Analysis

Twelve printing analysis report is created by inquiry and report forming.

User refers to Simple Report Conditions about inquiry conditions.

Click on month to get statistical information of each month. By clicking the tenth month to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within twenty four months, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on month to get related statistical information of given month according with statistical conditions . It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from Report\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


Quarter Analysis

Quarter printing statistic is created by inquiry and report forming.

User can refer to Simple Report Condition about inquiry conditons.

Click on quarter to get statistical information of each quarter. By clicking the fourth quarter to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within four quarters, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on quarter to get related statistical information of given quarter according with statistical conditions . It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from R eport\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


Week Analysis

Week analysis Report is created by inquiry and report forming.

User refers to Simple Report Conditions about inquiry conditions.

Click on week to get statistical information of each week. By clicking the fourty-two week to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within twenty four weeks, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on week to get related statistical information of given week according with statistical conditions . It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from Report\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


Year Analysis

Year Analysis Statistic is created by inquiry and report forming.

User refers to Simple Report Conditions about inquiry conditions.

Click on year to get statistical information of each year. By clicking the year 2005 to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within one years, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on year to get related statistical information of given year according with statistical conditions . It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from Report\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


24 Hour Analysis

Report of twenty-four hour analys is created by inquiry and report forming.

User refers to Simple Report Conditions about inquiry conditions.

Click on hour to get statistical information of each hour. By clicking the fifteen hour to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within twenty four hours, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on hour to get related statistical information of given hour according with statistical conditions. It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from Report\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


31 Day Analysis

Analysis Report of Thirty-one Day Printing is created by inquiry and report forming.

User can refer to Simple Report Condition about inquiry condition

Click on day to get statistical information of each day. By clicking the twelve day to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within thirty-one days, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on day to get related statistical information of given day according with statistical conditions . It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from Report\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


Weekday Analysis

User weekday printing report is created by inquiry and report forming.

User can refer to Simple Report Condition about inquiry conditions.

Click on weekday to get statistical information of each weekday. By clicking the Thursday to display information of all documents with inquiry conditions.

Specification:

The page displays printing report within fourty-eight weeks, the simple chart display total bytes, total pages, total printed bytes, total printed pages, printing times.

Click on weekday to get related statistical information of given weekday according with statistical conditions . It displays different printing information with printer name, printing server name, printing time, printed page, document name, total bytes, printed expense, user name and full name.

Notice£º user can modify default value of document from Report\Report_FileType\Config.ini. Please refer " advanced setting" and backup before make modification.


Advanced Settings

1.Definition of Report Types¡¡

2.Property Setting of Report Types

3.Customization of Report Detailed pages

4.Customization of Report Form

5.Advanced Report Interface


Property Setting of Report Types

Property Settings of Report Types

Use "Type_Task.xml" as example. Select "Graph_FileType" in report folder of installation directory. The code is as following:

<Graph_FileType Name="Graph_FileType" Type="Graph"
            GroupBy="FileType" OrderBy="" OrderDirect="" PrinterStatus="A"
            ShowByTime="M">
<Chart MaxInChart="0">
<A_3D Is3D="1" Percent3D="10"></A_3D>
<Axis Width="580" Height="300" HLabelStyle="1"
            VLabelStyle="3"></Axis>
<Marks IsShowMarks="1" MarksStyle="1"></Marks>
<Legend IsShowLegend="1" LegendAlign="1" LegendStyle="1"></Legend>
</Chart>
<List IsShowList="1" MaxInList="0"></List>
<ListDetail style="DetailStyle.pnt" MaxInDetail="1000">
<ColName Name="PrinterName" Align="1" CountFun="Count"
            Formater="S"></ColName>
<ColName Name="PrinterServer" Align="1" CountFun=""
            Formater="S"></ColName>
<ColName Name="SubmitTime" Align="1" CountFun=""
            Formater="D:MM/dd/YYYY"></ColName>
<ColName Name="PagesPrinted" Align="3" CountFun="SUM"
            Formater="F:0"></ColName>
<ColName Name="Document" Align="1" CountFun=""
            Formater="S"></ColName>
<ColName Name="TotalBytes" Align="3" CountFun="SUM"
            Formater="F:0"></ColName>
<ColName Name="TotalCost" Align="3" CountFun="SUM"
            Formater="C:-1"></ColName>
<ColName Name="User" Align="1" CountFun="" Formater="S"></ColName>
<ColName Name="UserFullName" Align="1" CountFun=""
            Formater="S"></ColName>
</ListDetail>
</Graph_FileType>

Code listed above is a sub node of XML file.

1. ¡°Name¡± is the name of node and system will automatically search in language package. ¡°Type¡± indicate the report is graphical report.;

2. ¡°GroupBy¡± shows the report statistics as X axis. ¡°OrderDirect¡± is sort by direction. Blank is the default value for descending order. "ASC" for ascending order.

3. ¡°PrinterStatus¡± is default print status. ¡°A¡± for all, ¡°S¡± for print successfully, ¡°D¡± for print denied.

4. ¡°ShowByTime¡± is default date.

5. In ¡°Chart¡± sub node, MaxInChart= "0". 0 to display all records.

6. ¡°<A_3D Is3D="1" Percent3D= "10"></A_3D>¡± display 3D graphical report. 1 to use 3D effect and Percent3D enable, 0 no 3D effect and Percent3D disable. ¡°Percent3D¡± is the proportion size of 3D effect.

7. ¡°<Axis Width="580" Height="300" HLabelStyle="1" VLabelStyle= "3"></Axis>¡± the draw size of graphical report.

8. ¡°<Marks IsShowMarks="1" MarksStyle= "1"></Marks>¡± the mark of graphical report. 1 is to display and 0 is not display. If 0, MarksStyle will be disable.

9. ¡°<Legend IsShowLegend="1" LegendAlign= "1" LegendStyle= "1"></Legend>¡± the legend of graphical report. 1 to display and 0 not display. If 0, below units will be disable.

10. ¡°<List IsShowList= "1" MaxInList= "0"></List>¡± the list displayed or not, the list number under graphical report. If there is no list, the view detailed information of record will not display. IsShowList shows if list is displayed . 1 to display and 0 not display. If not, MaxInList will be disable.

11. ¡°<ListDetail style="DetailStyle.pnt" MaxInDetail= "1000">¡± shows whole configuration of detailed information, listed of information. The style of list will be described in Customizaton of report detail pages. Style is the model of detail page and there is only one which is DetailStyle.pnt.

12. ¡°<ColName Name="PrinterName" Align="1" CountFun="Count" Formater= "S"></ColName>¡± the column description of detail page. The first column PrinterName must be match with field name of database; otherwises, report error will occur. If first column is user full name, only set to Name= "UserFullName" is work. Align is arrange type: 1 is flush left, 2 is center, 3 is flush right. CountFun set to statistics function. Formater shows data output format.


Customizaton of report detail pages

Customization of report detail pages

Find "Report\DetailStyle.pnt" in installation directory and open" DetailStyle.pnt " file with wordpad.

Divided into chart head and chart end

<PrintUsage_ReportTitle> stand for report title

<PrintUsage_ReportDate> stand for report date

<PrintUsageLabel></PrintUsageLabel> stand for the title of the report head.

Because this system supports multi-language, the wording in the report can not be wrote directly. It must be translated by the language pack file. The rule of <PrintLabelField_filed name>, such as:<PrintLabelField_PrinterName>, You can set ranking, by click on field, such as :GetOrderBy('PrinterName')

Circulation:<PrintUsageLoop></PrintUsageLoop> stand for the begin and end of the circulation. The rule for circulation content is "<PrintTextField_filed name>", such as:<PrintTextField_PrinterName>

The code as following:

<style>
.std{
FONT-WEIGHT: normal;
FONT-SIZE: 12px;
COLOR: #000000;
LINE-HEIGHT: normal;
FONT-STYLE: normal;
FONT-VARIANT: normal;
TEXT-DECORATION: none
}
</style>

<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" class="std">

<tr>
<td class="std"><div align="right"></div></td>
</tr>
<tr>
<td class="std"><div align="center"><font size="6"><strong><PrintUsage_ReportTitle></strong></font></div></td>
</tr>
<tr>
<td class="std">&nbsp;</td>
</tr>
<tr>
<td class="std"><div align="right"><font size="2"><PrintUsage_ReportDate></font></div></td>
</tr>
<tr>
<td class="std" align="right"><PrintUsage_ReportInfo></td>
</tr>
</table>

<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#000000">
<tr>
<td ><table width="100%" border="0" align="center" cellpadding="2" cellspacing="1">
<PrintUsageLabel><tr align="center" bgcolor="#569CE1" class="std">
<FieldLoop>
<td align="<PrintUsage_Align>" nowrap><font color="white" style="cursor:hand" onClick="javascript:GetOrderBy('<PrintUsage_LabelID>');"><PrintUsage_LabelValue></font></td>
</FieldLoop>
</tr></PrintUsageLabel>

<PrintUsageLoop>
<bgColorProperties>#F0F9FE_#FFFFFF_#D3EDFF</bgColorProperties>
<tr bgcolor="<PrintUsage_bgColor>" class="std">
<FieldLoop>
<td align="<PrintUsage_Align>" title="<PrintUsage_FullFieldValue>" ><PrintUsage_FieldValue></td>
</FieldLoop>
</tr>
</PrintUsageLoop>
<PrintSummation>
<tr bgcolor="#569CE1">
<FieldLoop>
<td class="std" nowrap align="<PrintUsage_Align>"><font color="white"><PrintUsage_FieldValue></font></td>
</FieldLoop>
</tr>
</PrintSummation>
</table></td>
</tr>
</table>


Customization of Reprot Form

Use "Graph_FailRate" as example. Find "Report\Graph_FailRate" in installation directory and open"Style6.ini".

The code is as following:

[Graph_FailRate_Style6]
;Set description for X axis
;If it is vacant, it shows the following language translation of the definition field, such as Status, is translated to"printing status".
X=
;The grouping base of setting the X axis. The value of XFieldName is the name of the field.
XFieldName=Status
;Set description for Y axis(default). If the user chooses the condition, then it shows the corresponding condition description.
Y=
;Set chart length
W=700
;Set chart height
H=300
;Set background color
BG=FFFFFF
;Set gradually changing property. If start gradually changing, then the background is of no effect.
IsGradientColor=false
GradientColorStyle=1
GradientColorStart=E28E32
GradientColorEnd=EBDA7C
;Whether to set 3D effect. If there is then it is True. If there isn't it is False.
3D=1
;The size of chart 3D( If View3D is false, then this property is of no effect)
Percent3D=10

;Set the scale mark and gridding of the horizontal axis and vertical axis. The scale mark types: 1name, 2static chart mark, 3value, 4blank.
HLabelStyle=1
VLabelStyle=3
;SeriesStyle Show cutline types and cutline names. Cutline types:1bar chart, 2horizontal bar chart, 3line chart, 4pie chart, 5point chart, 6area chart.
SeriesName=
SeriesType=6
;BarStyle
;Set shape, filling in pattern, and the color of filling in parttern for the bar.
;Bar shape:1square, 2area gradually changing, 3triangle, 4inversed triangle, 5ellipse,6arrow.
;Filling in pattern:1transparent, 2transverse line, 3vertical line, 4right-inclined line, 5left-inclined line, 6tartan, 7inclined tartan
;(Note:this method only can be applied in Series 1 or 2 charts, i.e.1bar chart, 2transverse bar chart. There is of no effect in other chart types.)
BarStyleSharp=2
BarStyleFill=1
BarStyleColor=2C672D
;PointStyle
;Set shape of value point
;Shape of value point: 1square, 2round, 3upside triangle, 4downside triangle, 5cross, 6error mark(X),7star(*), 8diamond, 9small dot
;(Note:this method only can be applied in Series 3, 5 or 6 charts, i.e.3line chart, 5point chart, 6area chart. There is of no effect in other chart types.)
PointStyleSharp=1

;MarksStyle
;Set report style
;1value, 2percentage, 3mark name, 4mark name and percentage, 5relative sum percentage
MarksStyle=3
;Output is the output quality of picture
Output=100


Advanced Report Interface

Function Options

The setting pages of the advanced report. Systems will create a new report according to the user has chosen and filled.

1. Choose a pre-defined report and showing style

1. Choose report type, use "Ranking Statistic" as example, showing as the following chart:

2. Choose report by name, use "Printer Ranking" as example, showing as the following chart:

3. Choose style list, use "transverse bar" as example, showing as the following chart:

4. Choose the showing value. The system default is "total printing cost". User can go to Advanced Setting to reset.

5. Input reasonable condition base on user's demand.

6. Choose correct time. Click on the right of "Time Range". Then input the year and corresponding contents. Or click [image] icon, it will pop up the following interface:

Choose the year, month, and date. The chose dates will appeared on the left of [image] icon.

7. Click "Creating Report" button, the new report will be created and pop up a new page.

8. Showing report, see Advanced Report


Definiton for Report Type

Definition for Report Type

Use for configure summary report, Cross Tab report and Master/Detail report.

1.Cross Tab Report

Cross Tab report is the relationship between two different linking data such as the monthly charge for each user. Currently it supports comparison by User&Time and Department&Time. It can be sort by day, week, month, quarter and year. Here, Style1indicates User&Time and Style2 for Department&Time.

Configuration: open Type_CrossTab.xml with NotePad. Use User&Time for example. The code is as following:

<CrossTab ID="Style1">
<StyleName>StyleName1</StyleName>
<ColumnType>M</ColumnType>
<RowType>GroupName</RowType>
<CalculateType>5</CalculateType>
<RecordPerPage>0</RecordPerPage>
<Table>
<BorderWidth>1</BorderWidth>
<BorderColor>black</BorderColor>
<Width>100%</Width>
</Table>
<Guard>
<MaxValue>0</MaxValue>
<BgColor>red</BgColor>
<FontColor>white</FontColor>
<FontSize></FontSize>
<FontStyle>3</FontStyle>
</Guard>
<Title>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>14pt</FontSize>
<FontStyle>1</FontStyle>
</Title>
<Head>
<BgColor></BgColor>
<FontColor>black</FontColor>
<FontSize>12pt</FontSize>
<FontStyle>1</FontStyle>
</Head>
<Left>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
</Left>
<Main>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
<AlternateBgColor>#EEEEEE</AlternateBgColor>
<AlternateFontColor></AlternateFontColor>
<AlternateNum>5</AlternateNum>

</Main>
<Summation>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>1</FontStyle>
</Summation>
<SubTotal>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
</SubTotal>
<Query>
<StartDttm></StartDttm>
<EndDttm></EndDttm>
<Status></Status>
<Filter></Filter>
</Query>
</CrossTab>

CrossTab is cross table
ID is unique mark of cross table
StyleName is name of cross table
CalculateType is value types. 4 is total pages, 5 for total cost, 6 for print count
MaxValue is max alert value

Headr is style of top of table
Left is style of the right of table
Main is style of display area
Summation is style of Summation
SubTotal style of subtatol

AlternateBgColor is backgroudnd color of alternate item.
AlternateFontColor is font color of alternate item

AlternateNum is records number of alternation

FontColor is font color

BgColor is background color of font
FontSize is font size
FontStyle is font style. 0 is for normal, 1 for bold, 2 for italic and 3 for bold italic

RecordPerPage is records per page

2.Master/Detail Report

The report show the relationship between master report and detail report.

Configuration: open Type_MasterDetail.xml with notepad. Take Department&User for instance. The code is as following:

<MasterDetail ID="Style1">
<StyleName>MasterDetail_StyleName1</StyleName>
<RecordPerPage>0</RecordPerPage>
<Table>
<BorderWidth>1</BorderWidth>
<BorderColor>Black</BorderColor>
<Width>100%</Width>
</Table>
<Title>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>14pt</FontSize>
<FontStyle>1</FontStyle>
</Title>
<Head>
<BgColor></BgColor>
<FontColor>black</FontColor>
<FontSize>12pt</FontSize>
<FontStyle>1</FontStyle>
</Head>
<Left>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
</Left>
<Main>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
<AlternateBgColor>#EEEEEE</AlternateBgColor>
<AlternateFontColor></AlternateFontColor>
<AlternateNum>1</AlternateNum>
</Main>
<Summation>
<BgColor></BgColor>
<FontColor></FontColor>
<FontSize>10pt</FontSize>
<FontStyle>1</FontStyle>
</Summation>
<SubTotal>
<BgColor>#569CE1</BgColor>
<FontColor>white</FontColor>
<FontSize>10pt</FontSize>
<FontStyle>0</FontStyle>
</SubTotal>
<Master>
<Field>GroupName</Field>
<Order>1</Order>
<Direction>1</Direction>
</Master>
<Detail>
<Field>User</Field>
<Order>1</Order>
<Direction>1</Direction>
</Detail>
<List>
<Type>SUM</Type>
<Field>PagesPrinted,TotalCost,Count</Field>
</List>

</MasterDetail>

<RecordPerPage>0</RecordPerPage> shows how many master records is displayed and 0 is to display all master report records.

The configuration describes the format of master report and detail report.

<Master>
<Field>GroupName</Field>
<Order>1</Order>
<Direction>1</Direction>
</Master>

It shows property of master report. The master report is group/department name indicated by ¡°<Field></Field>¡±; ¡°Order¡± shows sort field is print pages. 1 is for pages, 2 for charge, 3 for print count, 0 for name. ¡°Direction¡± is sort in order, 1 for descending, 0 for ascending.

<Detail>
<Field>User</Field>
<Order>1</Order>
<Direction>1</Direction>
</Detail>

It shows the property of detail report.


Option

Options

1.Registration

List user name, licensed printer number and valid time.

2.Monitor Mode

There are three Monitoring Mode: Monitoring and print fee charging, Monitoring with simple control and Monitoring with advanced control. Only one type is available.

3.Notification

Setup user print notification including Windows Message service and sending E-mail.

4.Template

Manage the templates user defined such as server templates, printer templates, user/computer group templates and user/computer templates.

5.Language

Supports multi-language.

6.Administrator

Setup administrator info.

7.Roles

Add /remove user role and assign different roles for different administrators.

8.Paper Type

Setup paper types which can be user-defined in name and size.

9.File Type

Setup File Types.

10.Data Maintenance

Remove print log and system log.


Administrator

  • Setup administrator's user name, password, role and password modification.

    • Note:

    • Administrator cannot be removed.
    • When user is not administrator, the default role is empty. New added administrator can log on manager site but without administration right.
    • When adding role for administrator, the administrator will have the right of management.
    • Click role management to manage user right.

  • Click change password to pop up the password change dialog box.

    After you successfully change the password, it will display change success notice.
  • Click role to pop up user role setup dialog box.

    Select related roles and click [Setup] to enable the right of the role to administrator. It is by Setup-->Role Management to setup.
  • Click [Remove] to remove selected administrators.
  • Click [Add] to add administrator.
  • Click [Reset] to clear selection.


Data Maintanence

    This function is for removing print log, system log, recorded print content imges, and recalculating the amount.

    Note:

    • Before removing, please confirm operation and the time period.
    • When clicking [Recalculating amount according to current log], the user print charge, pages and tasks amount will be changed.


File Types

  • Click [Remove] to remove all selected file types.
  • Click [Add] to add file types.

      • File type name, suffix, icon and description can be specified.

  • Click [Reset] to clear all selection.

    • Note: file type change will influence Server---File Types, Printer----File Types, User Group----File Types and User---File Types.

    /ul>


Language

    Select user language

    Click [Submit] to change language.


Template

Template management includes server module, printer module, user/computer group module and user/computer module.

      To change server template will also affect Server Properties

    Printer template

      To change printer templage will also affect Printer Properties

    User/computer group templage

      To change user/computer group templage will also affect Group Proterties

    User/computer templage

      To change user/computer templage will influence User Properties

    Template quotation

      There are two types of template quotation:

      • Template finger quotation administrator configure within a file without self configuration info.
      • Template value quotation administrator configure within a file. Template change will not change other configuration.
      • Following example shows main differences between two quotations.

          Use server template for instance, the monitoring mode is monitoring with advanced control

          1. Log on as system administrator.

          2. In server group, click a server name to display basic info from print monitoring server.

          3. Click user name, file type or charge to display info.

          Server has itself own property and will not follow Server Setup or Server_Mod settings change.

          4. Click [Apply] to get following property.

          5. T o change template finger quotation and template value quotation. Click save to apply template value. Select a template and click [Apply] to apply template finger quotation.


Monitor Mode

Description for different monitoring modes:

    Mode 1: Monitoring and print fee charging

      All users can use printer resource without any limit. But users' print records will be recorded in database for statistic and report. By defining the cost for different paper type and estimate the print cost.
      This mode is good for users who wnat to know the printing cost.

    Mode 2: Monitoring with simple control

      Mode 2 adds a quota control feature.
      User can not print if reach the quota.
      Periodical quota, user can not print until next period if reach current quota .
      This mode is good for users who want print cost control without limitation.

    Mode 3: Monitoring with advanced control
      Mode 3 enables user to make advance setup in user, user group, printer, server, print time, file type, paper type and quota, and define the detailed cost for different paper type.
      This mode is good for advanced users who want to control print task in multi aspects.
The advanced setting for Mode 3 only.


Notification

    • During processing print tasks, setup notification when print start, complete or occuring error.
    • Notify when printing starts: select this option to notify usr when print start. There are three ways: WINPOPUP, EMAIL and printing a blank page. Select prefered notification type-->input notification message in editing box_-->select notification items form custom options from right hand side-->double click to locate cursor position in the editing box of the left hand side. The wording cannot be changed.
    • Notify when printing ends: select this option to notify user when print completed. The step is as same as notify when print start.
    • Notify when error: select this option to notify user when error occurring. The step is as same as notify when print start.

    Note:

    Double click notification items at the right side to add notification.

    When setup WinPopup, please make sure the Messenger service of print client is running. Otherwises, user will not receive the system notification message.


Paper Types

  • Click [Add] to add new paper types.

    File type includ all common paper types.

    When selecting a common paper type such as A4, paper width and hight will change automatically.

    User can selfdefine the paper size, for example user defines a paper size as 200x300, name Custom Paper and grade M.

    Click [Add] to return to paper type list.

  • Click [Remove] to remove paper types selected by user.
  • Click [Reset] to clear all selection.

    Note: Adding paper types will also effect printer charge. Please refer to Server Charge Setup, Printer Charge Setup and Paper Type of Print Log.


Registration Info

Registration info includes user name and registration code.
Licensed printer is monitored printer number authorized by the software.

Click [Imput registration code] to input registration code in pop-up box and click submit.
The registration info will be displayed if the code is correct.


Roles

Role management lists all roles' names

  • Click [Add] to add role.

    Add correct role name and description and then click [Submit] to complete. Role name is required. Click [Back] to return to the list.
  • Select role and click [Remove] to remove selected role,which will influence Administrator right.
  • Click [Setup right] to configure, change and update the right of roles. To change the role's right will lead to the change of the right of related Administrator.

    •

    Following is an example of role application:

    • In Options--->Administrator option, add an administrator--Admin_Role_Test.
    • In Options-->Role management, add a role--Admin_Role_Test_Role.
    • Click [Setup Right] after Admin_Role_Test_Role to assign right.

      Click [Setup] to complete role setup of Admin_Role_Test.
    • In Options---> Administrator Setup, click [Affiliated Role] after Admin_Role_Test to set user role. user will own the role's right.
    • Log out system and log on with Admin_Role_Test.
    • Click Group to obtain following list.

      Click All Printers to obtain following statistics.


Print Log

  • Print log records all printing history by system.
  • View report from selected date range.
  • Click on user name and computer name to see print log from user and computer.
  • Click on document to see detail.
  • Click [Refresh] to reload the page.
  • Click [Delete log] to delete listed log.
  • After remove log file, the Recalculating amount according to current log in Data Maintanence, the total charge of User group/Department, User, Server and Printer status will be changed.

Log Query

    Search by file name, user name or computer name.
    File name, user name or computer name supports linking match.

    Click [Advanced Options] to pop up advanced options dialog window.

    Advanced options enables user to search log by user name, computer name, document, time range, server, printer and group.

    Note:

  • User must click [image] to confirm the drop-down box.
  • The relationship with all conditions use as "and". If blank, the condition will be ignored.
  • If page is displayed Printer, User, Server and Group link, the search box will disable.
  • Click [Delete log] to remove all logs.
  • Click [image] to save print content into image file in Tiff format.
  • Click [image] to transfer print task to printer. If user A print task B of 5 pages on Prtinter_1 of PrintServer_A three month ago, now he clicks [image] and confirms print, and task B of 5 pages will be re-transfered to Prtinter_1 of PrintServer_A to print.

Export print log

    Click on export records as xls file for download.


System Log

View System Log

  • System log records all system activity include change history, adding, changing, removing of data and administrator login.
  • View report from selected date range.
  • Click [Delete log] button to remove all log file.
  • Click [Export log] button to export records to Xls file.


Printing Monitoring Service Summary

Why print monitoring service?

Print monitoring service is the core component of PrintUsage. The service monitors controlls and records each print job from local printer. Supported WindowsNT/2000/XP/2003. PrintUsage only manages printers by installed the print monitoring service. If you have two more printers connect to two different servers, it needs to install service on each servers.

Print Monitoring Service, runs as system service mode and auto-start when windows startup by default. It monitoring print job from local system, controll process or stop of tasks according to setting and recording events in database.

Toolbar Tray Program, auto start after logon by default, helps to configure and manage monitoring service.

How to install?

The installation is simple: the print monitoring service only installed on server and connect with each printer. Please refer Installation Assistant , which will guide you through the whole installation.


Advanced Setup

Database Type. Compatible with four type of databases, MS Access, MS SQL Server,MySQL and Oracle. MS Access is recommended for trial version. The registered user can has different databases option.

Database Connection String.Input database connection string in the connection box. You may also click "connection string", system will help you create new database connection wizard . Click on "test connection" after connection string created. If connection "failure", it's could be database username or password error.

Notice: Please check "Allow save password" in the data connection attribute, otherwise database connection string will not run normally.

MS Access User Notice: Please use Microsoft Jet 4.0 OLE/DB Provider as OLE DB provider in order to get best system performance and compatibility. We recommend you use MDB files from local computer. Do not use it from the network, it will decrease system performance.


Auto Configuration

Main Controlling Server:

Install server from PrintUsage managing webserver. System automatically obtain settings from managing webserver, the computer name and IP address will input into the managing server.

    The list shows server names from the main controlling servers.

    You can use main controlling server without settings, if they are installed on the same server. The following cases are exception:

  • Example one. Managing website is installed on the server under default circumstance, computer using Server as its name can not visit managing server. Solution£ºinput IP address, such as 192.168.0.1
  • Example two. Managing server is installed on the server rather than default website, managing website url as http://Server:88/PrintUsage/. Solution: input Server:88 or http://Server:88/PrintUsage/.
  • Example three. When administrator sets PrintUsage website manually, managing website url as http://server:888/print/. Solution: input http://server:888/print/.

Testing Settings

Testing settings will show your test setting work or not, and test result will also be display. If test fail, the advanced setting button will be display, here you can set database type and connection string again. Refer advanced settings for the details.


Startup

Auto-start Printing Monitoring Service

If you choose the item, auto-start printing monitoring service will auto start when windows operating system start. The function of printing monitoring service is to monitor printing task of local computer, control start or stop of printing task according to its settings and record printing task into database.

Auto-start Program of Printing Monitoring Taskbar

If you choose the item, program of printing monitoring taskbar will operate with user's logging. Program of printing monitoring taskbar is the one to help user set managing monitoring service, and automatically runs after user's logging under default circumstance.

Start after MS SQL Server's Operation on the Local Computer

Startup of printing monitoring service rely on database support. Printing monitoring service fails if without linking with database, because startup of MS SQL Server is behind printing monitoring service when system start up. Therefore, if you encounter this problem, you can tick off corresponding choice to guarantee startup of printing monitoring service after database startup and avoid mistake. There is no need to setup if you are using MS Access or on the remote computer.

Start after Mysql Startup on the Local Computer

Startup of printing monitoring service rely on database support. Printing monitoring service fails without linking with database, because startup of Mysql Server is behind monitoring service when system start up. Therefore, if you encounter this problem, you can tick off corresponding choice to guarantee startup of printing monitoring service after database startup and avoid mistake. There is no need to setup if you are using MS Access or on the remote computer.


Events Log

View Events Log of Printing Monitoring Service

Running printing monitoring service will write printing events, printing task and error into system log. System log may fully display operation history from printing monitoring service. Events log offer the most effective way to trace system error.

View Events Log of Printing Monitoring Service

After right click icon in the system tray, you will see pop-up view window of events log, then choosing "events log" from the menu.

You may view events log from beginning menu->program->managing tool->events viewer.

Users of Windows 2000/XP/2003

Printing monitoring event log appears on single page of " printing monitoring".


License

You may see " the software is licensed to " after right clicking managing program of system tray --> system settings. You may also see the name of registered company or individual. The ending trial date will be indicated on the " the software is licensed to ", if user does not buy the software license.


Save Print Content

Saved Path of Printed Content

    Saved file to folder for user printed content. You will get the following dialog box to choose saved address of printed content after clicking " modify saved index of printed content".

User saved content can be modified if need.

Saved path of user printed content will be changed, user historical data will also be transferred to new saved path and original data will be removed.

Eliminate Printed Content:

    Printed content will not deleted until corresponding printed log managing website deleted or removed. Set time interval to automatically remove printed content files from server.


Start/Stop Printing Monitoring Service

Start/stop printing monitoring service from the printing monitoring tray

Double click on the icon in the system tray to open system setup page. You can start, stop and restart printing monitoring service in the service control panel. Signal light on the left indicates the running state of current monitoring service.

You can also right click icon on the system tray and choose "start service", " stop service", " restart service " on the menu to start/stop/restart monitoring service.

Start/Stop Printing Monitoring Service from System Control Panel:

For Windows 2000/xp/2003 user: printing monitoring service can be started, stopped and restarted from service manager ,menu->program->managing tools->service->PrintUsage Pro Service.

Start/Stop Printing Monitoring Service from Program Menu:

You can start, stop and restart printing monitoring service on the program menu, menu->program->printing monitor->printing monitoring service.


Upgrading Tool Function

PrintUsage Data Upgrading Tool

Main function:£º
PrintUsage compatible with MS Access, MS SQL Server 7.0/2000, Oracle and MySQL.
Database upgrade tool help you transfer data between different type of database.

Operation

Open the following page from program menu PrintUsage Version Pro/Enterprise -> Data Upgrading Tool.

"Current Database Information" indicates current database type and its connection string.

"New Database Information" setup new database type and server,user name and password
"Test" use to test the database connection.

Notice: Don't use source data and destination data in one database , it may cause data lost!

After you press "Confirm" button, the system warning message appear if old database exist.

Click "Yes", it will create the new database and old database will be delete.


Setting Wizard

Run Setup Wizard

Begin --> Program--> PrintUsage 2.1 Enterprise Edition --> Run setup wizard.

Next Step: Database Type and Connecting Setting


User Synchronous Tool

Begin-->Program-->PrintUsage 2.1 Enterprise Edition --> User Synchronous Tool.

Next Step: Choose Inputted User Groups


Setup Wizard

PrintUsage Setup Wizard

PrintUsage Setup Wizard is used to set up system required parameters. The wizard will start automatically during installation.

Setup Wizard includes following several items:

  • IIS Installation
  • Installation Preparation
  • Welcome Page
  • User Agreement
  • Select Target Folder
  • Select Installation Mode
  • Select Beginning Folder
  • Setup Preparation
  • Select Language
  • Select License Mode
  • Database Mode & Connection Settings
  • Select Authentication
  • Select Imported User Group
  • Select Imported User
  • Set Monitoring Mode
  • Add Monitored Printers
  • Create Virtual Directory
  • Administrator Setting
  • Restart Wizard


IIS Installation Manual

IIS(Information Internet Information Services)

    Installation procedures of IIS under different Operating Systems are different. Now we take Windows 2000 as an example to install IIS. The installation steps are:

1. Click Start--> Settings--> Control Panel--> Add/Remove Programs--> Add/Remove Windows Components. Select the check box next the Internet Information Services (IIS).

2.Then click "Details" button.

3. The installation of IIS on Windows XP is similar to Windows 2000, but the installation on Windows Server 2003 is different Windows 2000. If you are Window 2003 user, please go to step 4; otherwises, please go to step 8.

4. Click Start--> Settings--> Control Panel-->Add/Remove Programs--> Add/Remove Windows components. Select the check box next to the Application Server. Then click "Details".

5. In the Application Server list, please select Enable network COM+ access, Application Server Console, and Internet Information Service.

6. Check the Internet Informtion Service, and click Details. You will see World Wide Web Service. Select that check box and go to the details.

7. Make sure you select Active Server Pages, and World Wide Web Service.

8. Click [OK] to finish the installation. During the installation, system disk will be required.

9. After IIS was installed, you can find Internet Information Services (IIS) Manager from the Administrator Tools. Click Start--> Settings--> Control Panel--> to verify.


Preparation

Prepare to install

1. Uninstall the foregone PrintUsage edition or testing edition

Please uninstall the foregone or testing PrintUsage edition before install the PrintUsage 2.0. The program will detect itself and remove the existing printUsage automatically. However the database and printed files of the previous Printusage will be kept. The following will be kept if they were setup by default:

  • C:\Program Files\PrintUsage\Data\PrintUsage.mdb, which is the database of preexistence edition, if something has been written on it.
  • The Database will be remain on database server
  • The index C:\Program Files\PrintUsage\Content will be kept if preexistence edition is V2.X corporation edition. Please don't remove the indexes if you want to keep the foregone data and printed files, because it deposited all saved printed files. When installing new edition, you just need to transfer the indexes (installation program will transfer the existence of the index to PrintUsage, confirm and go on )
  • The whole index C:\Program Files\PrintUsage or C:\Program Files\PrintUsage Pro can be removed if you are going to have Complete installation.You can drop database of PrintUsage in Database Manager if your database is MSSQL or MYSQL.

[Notice] Default installing path of PrintUsage V1.3 is C:\Program Files\PrintUsage Pro,different from the one of V2.x. Therefore, if your foregone edition is PrintUsage V1.3 and it run Access database, database file path is C:\Program Files\PrintUsage Pro\Data\PrintUsage.mdb after uninstallation. Installation program will not detect foregone database if you install V2.0 edition according to default installing path after Uninstalling PrintUsage V1.3. Installation of V2.x may begin after you rename the index C:\Program Files\PrintUsage Pro to PrintUsage,if you want to keep down the original database.(Please refer to How to Install New Edition in Case of Dropping Original Database )

2. Confirm that selected server has been installed and run smoothly

  • Access: No need installation, installation program will automatically install for you.
  • MSSQL: Installation need select blended mode of user authentication. You may download it from PrintUsage website.
  • Mysql: Please use the default path during the installation.

You may free download it from Mysql office website or PrintUsage website.

  • Oracle: Example is needed, please select UTF-8 coding mode

3. Install program offered by corresponding database according to selected database

  • MyODBC is installed, if you choose MySQL,You may free download it from Mysql office website:http://dev.mysql.com/downloads/£¬or PrintUsage website.
  • Client Server of corresponding Oracle edition is installed or download corresponding edition OLEDB Provider from Oracle office website
  • MsSQl and Access have no requirements.

4. IIS components need be installed firstly before installation of Managing Server 4.

  • IIS will be installed by default in Windows 2000 Server£¬Windows 2003 Server Web Edition, but not Windows 2000 Pro, XP and Win2003 Standard and Enterprise Edition,so you need add IIS components. Please see IIS INSTALLATION

5. Please don't plug immediately, if you have USB Software Dog

  • USB Software Dog needs driver needs to be installed. Windows can not find the correct driver and mark it as unknown device, if you plug in the USB software dog before installing PrintUsage. In the Setup Wizard, there is a special step showing the installation of USB software dog.

Next step: Welcome Page


Welcome Page

Administrator Right of the computer is required for the installation. Please take our strong advice closing all other running programs before start. After double click the Setup.exe, you will see the following Welcome Page.

Next step: User Agreement


User Agreement

Please read carefully on the License Agreement, select accept and click Next to continue.

¡¡

Next step: Choose Target Folder


Choose Target Folder

Default installation path is C:\Program Files\PrintUsage

Data file will be installed to subdirectory of data of installation index.

Printed content files of Enterprise edition will be saved to the subdirectory of Content of installation index. You should install the PrintUsage to the largest partition of the hard disk, because the space of the two indexes is often crammed soon.

¡¡

Space calculating mode

¡¡

Printed content files (only enterprise edition) save printed content as Tiff picture format in the Print Server. The following formula shows how much space we required:

Demanded hard disk space=amounts/month x demanded months to keep printed content x bytes of every kept file.

PrintUsage adopts Tiff G4 format to keep ,which has high compression ratio, precision ranges from 75dpi to 600dpi and file bytes of every printed A4 paper ranges from 10k to 200k on average according to printed contend and reserved precision.

Default distinguishing rate is 300dpi, 30k/page can be taken ,when you adopt estimating method.

we suppose that a printing server has 100,000 pages to be printed every month and their content need reserving for three month. Therefore,

Demanded hard disk space =100k pages/month X three month X 30k =9G

¡¡

If user need to keep the files for reprint, the value will be 200k/page. If User's reprinted files, the size of the driver of the printer and user's task require space. We need larger space for printing pictures, but it needs smaller space for text. User's reprinted files range from 20k to 1M, usually several hundred K. The foregoing formula also needs demanded space.

¡¡

Conclusion: Basically, there is no need to consider your saving space layout, 1G saving pace is enough, if you use professional edition.

1G saving space of database and web server is enough, as for user of enterprise edition. The largest demanded space is for the printing server, you can reserve the space in advance after estimation according to the foregoing method.

next step:choose setup mode

¡¡


Choose Setup Mode

There are three setup mode: Full Installation, Management Server, and Print server

Full Installation

Full Installation refers to install Managing Server and Print Server to the same computer.

You should choose this method under the following two circumstances:

  • You need choose Full Installation, if you have only one Print Server and want it to be a Management Server, or just want to test it.
  • This computer is one of Print Servers, you want the server to be Management server at the same time.

    • Setup Precondition:

  • This computer is a printing server, connecting with traditional printer or network printer offering shared printing service.
  • This computer needs install IIS (Web Service), if not, Please install it from control panel--add/remove program--add/remove windows components.
  • If choosing Mysql database, you need to install MyODBC 3.51 edition or above.
  • If choosing Oracle database, you need to install Oracle client server of corresponding edition or OLEDB offered program.
  • Notice:if you have the foregoing two problems, that is to say, you can not choose Access database, if you have other printing server to be installed, you can choose other three databases. If the first one, you can choose one of the four databases at random.
  • Access database has its setup program along with its installation package, other MSSQL,MSDE,MySQL and Oracle need the completed installation and be online. Database server may use the local computer or other computer. Installing program only creates database structure required by PrintUsage and does not contain database managing system itself.
  • If you use XP or Win2003 operating system or installed firewall, please open at least TCP port 80,8100,and 8200, or disable the firewall

Managing Server Setup

Management Server Setup makes management server to adopt single compute installation method, host computer will not be used as Print server. You just need one program for Management Server installation. Installation Wizard will guide you to create database structure, user group, initializing settings and other settings. You need at least one Printing Server for normal operation after the completion of Management Server installation.

    Setup Precondition:

  • Host computer needs have IIS installed (Web Service). If not, Please install it from Control Panel--> Add/Remove Program--> Add/Remove Windows Components.
  • If choosing Mysql database, you need to install MyODBC 3.51 edition or above.
  • If choosing Oracle database, you need install Oracle client server of corresponding edition or OLEDB offered program
  • Notice: Management Server Setup can choose one of MSSQL,MSDE,MySDE and Oracle rather than Access database. Database server may use host computer or other computer. Installing program only creates database structure required by PrintUsage and does not contain Database Management System itself.
  • If you use XP or Win2003 operating system or installed firewall, please open at least TCP port 80, and 8200, or disable the firewall

Print Server Setup

    Print Server Setup installs Printing and Monitoring Server separately to the computer and accept the uniform management of managing server.

  • Setup Precondition:

  • Managing server to completed installation and setting is in the running state.
  • Host computer is a printing server,connecting with traditional printer or network printer offering shared printing services.
  • If choosing Mysql database, you need to install MyODBC 3.51 edition or above.
  • If choosing Oracle database, you need install Oracle client server of corresponding edition or OLEDB offered program.

¡¡

Next step: Choose Start Menu folder


Choose Start Menu folder

The PrintUsage folder will be created in the Start Menu folder as default.

If you want to put it elsewhere, or change the name of the folder, click Browse for new location.

¡¡

Next step: Preparing Installation


Setup Preparation

After double clicked the Setup.exe, it will start the installation. If the PrintUsage has been installed before, it will remove the original copy automatically.

Next step: Choose Setup Authorization Mode


Choose Authentication Mode

    Choosing of Authentication Mode

  • Select "User Authentication", if there is a domain or active index. You can also choose Domain Controller if there are more than one DC. It reduces response time if the Domain is Global, Asia, or Europe as distributed domains. This featurer is not available if it is below V2.1 edition.
  • If "User Authentication" is selected, the default User Group and User Name will be added to the active indexes.
  • "Computer Authentication" should be selected if it is in a Workgroup.

For computers working as a Workgroup, users still can logon by their names. However, the Print Server is unable to distinguish local logging name. It's hard to distinguish who printed. Only computer name can be distinguished under this circumstance. As a result, PrintUsage offers Computer Authentication to monitor users who are connected as Workgroup.

  • If "Computer Authentication" is selected, installation program will detect all of network connections, treat Workgroups as user groups and import those computer names as user names into the system. Notice: the running computer only can be imported. As any other computers, you should add them manually from the Managing website after finishing the installation.
  • If it is imported from file, file format needs one line for every user name, permitting three columns: user name, user full name and user group. We have to use "," as seperator between columns. Example is the following:

Zhang, Zhang San, Human Resource Dept.

Li, Li Si, Sale Dept.

Wang, Wang Wu, Sale Dept.

After TXT or CSV file has been imported, system will create two user groups: Human Resource Dept. and Sale Dept., and three users: Zhang to Human Resource Dept.,Wang and Li to Sale Dept.. User names can be exported from Sale Dept. or Human Resource Dept. to PrintUsage.

Next Step:Choose Input User Group


Database Mode and Connecting Settings

Access Installation

Please choose ¡°Microsoft Access 2000/XP¡±. The installation program will create a database named PrintUsage, and Data subdirectory indexes.

MSSQL/MSDE Installation

If you choose ¡°Microsoft SQL Server 7.0/2000¡±. The Server Name is the computer name or IP address, which has installed MSSQL or MSDE. User name and password is the one you have right to logon to that computer. Password is case sensitive.

After finished, you can click "test" button. You may click "next step",if the test is passed. If not, you should confirm your input and normal operation of MSSQL server. You should ensure that computer name can be parsed to the target computer if you use computer name.

If your input were correct, but you still can not pass the test, it's possibly caused by MSSWL authentication mode. Default authentication mode of SQL Server is 'Only windows integrated authentication" , but PrintUsage requires to adopt SQL Server authentication mode.You can take the following settings: SQL Server Enterprise Managing Server, choose target server, right click attribute, safe mode page, change authentication into ¡°SQL Server and Windows¡±,just as the following picture, and restart.

MSDE modification is relative complicated because of no managing page. If the default installation has problem, you should input setting parameter during the installation as 10.13 mentioned.

Installation program will set up a PrintUsage database, which does not affect other existed databases and their applications.

MySQL Setup

Server name is the same as computer or IP address which installed MYSQL, and user name in possession of administrator jurisdiction generally uses "root" to logon. Password is case sensitive. We recommend to modify the password, because password of MYSQL root is empty by default. Generally,there is no need to modify port number and drivers unless you know exactly what you do.

After finished, you can click "test" button. You may click "next step",if the test is passed. If not,you should check your input and the Mysql server. You should ensure that computer name can be correctly parsed to the target computer if you use computer name.

Notice: It is not too late to install MyODBC when test does not pass, if MyODBC has not been installed.

Installation program will create a PrintUsage database in the MySQL, which will not effect other existed databases and their applications

Oracle Installation

The software is currently applicable to 8i,9i and 10g of Oracle edition.

Rules of server name: server name SID; user name needs the name in possession of DBA privilege, case sensitive for password

After finished, you can click "test" button. You may click "next step",if the test is passed. If not, you should check your input and the Oracle server. You should ensure that computer name can be parsed to the target computer if you use computer name.

Installation program will create a PrintUsage user pointed by Oracle, which will not effect other existed databases and their applications.

Upgrading Installation requirement:

¡¡

No matter what kind of databases you use, you will be asked if you want to overwrite the existed database or not, if installation program detects existed original database. If you choose "Yes",installation program will drop the original database and run Full Installation. If "No" is selected, system will keep the original database. Installation program will automatically upgrade to the latest edition without losing any data.

¡¡

¡¡

¡¡

After "No" button is selected, the installation wizard will start.

Choose Authentication Mode


Choose Setup Authorization Mode

If you are going to install the trial usage, please choose "Limited Trial Usage Authorization"

If you obtained the softdog, please choose "Normal Authorization".

If you have serial no. but no softdog, please choose "Limited Trial Usage Authorization" and input your serial no. into Settings-- > Registered Information

Next step: Database Mode and Connection Settings


Choose Imported User Group

Installation program will seek for all user groups and organization units from the active indexes. It will take a while ,which depends on the active index size, and the network traffic. Inset Group of domain is excluded by default.

Next Step: Choose Imported User


Choose Imported User

¡¡

System will list all of user names from selected groups. Installation system will automatically select relationship that one user name corresponding to one of groups and add it into list box on the right, and other relationship will be excluded in list box on the left, if there is one user name corresponding to several user groups. If you do not belong to the real group, you can adjust it from homepage in order to distribute every user to respective group and then click "Next Step" to be continued.

Next Step: Set Monitoring Mode


Set Monitoring Mode

Different Monitoring Mode offer users flexibility of control.

  • Uncontrolled mode - All users are allowed to print, which will be charged by flat rate per page.

  • Simple control mode - The usage is controlled by quota. All the printing requests will be denied when the quota is reached.

  • Advanced Control mode - All features are enabled by default. It offers comprehensive control by charging schemes, which are based on user, printer, time, file size, file type, paper size, quota, and other parameters. It also records user printing log.

¡¡

Next Step: Add Monitored Printer


Add Monitored Printer

¡¡

This step will appear when you choose complete installation. The number of printers is limited by authorization. If it's trial edition, it only allows 3 printers. The number of printers you can monitor is related to the type of License you purchased. The monitor will start immed after the printer was added.¡¡

If there is no printer in user printing monitoring server, this step can be skipped.

¡¡

Next Step: Create Virtual Index


Create Virtual Index

    ¡¡

    If you need to manage multiple websites, you may define the virtual index location of those websites.

    Notice:

    This feature is only available on V2.1 edition or above.

Next Step: Administrator Settings


Administrator Settings

You can input the Site ID, and assign the administrator name / password. The default user name is "admin" and the password is blank.

¡¡

Notice:

If you have multi-administrators, you can add them after the first administrator logged on. No "website ID", and multi-administrator below V2.1 edition.

¡¡


Restart Wizard

If you need to restart the Wizard:

1. Please modify the installed index (/bin/PrintUsage.ini), from WizardDone=Y to WizardDone=N, Then save and exit.

2. Start the Wizard again by running the (/bin/Wizard.exe).


Frequently Asked Questions

  • Print monitoring service couldn't be started
  • I have installed the PrintUsage,but the software is still a trial version. What should I do?
  • Web manager site couldn't be opened.
  • How to deal with "Fail to save print content as image"?
  • How to deal with "Specified file doesn't exist on print server or fail to get file from print server"?
  • What should I pay attention to when installing PrintUsage management server on Win2003?
  • Print monitoring service has started, but why print tasks cannot be recorded in system?
  • What is the default user name and password of PrintUsage?
  • I forget password of PrintUsage manager site, how to reset?
  • What is the difference between Professional version and Enterprise version? Which version should I choose?
  • How to deal with "Test configuration" failure after installation of print server?
  • My manager server, print server and network printer do not belong to the same network segment. How to install?
  • I have manager site running on A. On machine B, I enter A as the master server, but "Test Configuration" always fails. Why?
  • I insert licensed attached the USB Dongle software dog, but why Windows cannot find driver?
  • Can I install PrintUsage using Terminal Server on end service? What should I pay attention to?
  • My drive C drive does not have has no enough space., how How can I save the print content on other drivesor network shared folder?
  • I want to monitor status of printer, such as offline, out of paper paper lack, inkless and low on carbon powder low. Does PrintUsage have this feature Can PrintUsage do?
  • When I run the setup program, it says it needs IIS installed. What does this mean?
  • How to correctly install MSDE as database server?
  • Could PrintUsage be installed on WAN and monitor remote printers?
  • After installing PrintUsage, I can monitor the print jobs of the local machine, but cannot monitor other computer's. Why?
  • How to prevent user from exiting PrintUsage so that their printing can not be monitored to jump the monitoring?
  • After installation of PrintUsage, how to prevent the user from print by TCP/IP without being monitored how to avoid that network user directly print by TCP/IP without monitoring?
  • How to deal with incorrect copy issue for HP1320 copies of HP1320 incorrect?
  • Fail to read registration info during Printusage PrintUsage installation
  • Common log error ID
  • About Operator:SetFont error
  • When adding a printer in the manager site, it cannot find the shared printer attached to another WinXP machine.
  • How to choose authorization mode?
  • I have to wait for a long time to print after installing print monitoring service? What's the problem?
  • About end user printing information inquiry web access user inquiry entrance and relevant settings
  • How to change the currency from $ to deferent value?


Print monitoring service couldn't be started

Several reasons could lead to the Print Monitoring Service startup failure and the common reasons are incorrect installation, database connection failure, trial version expiration or software dog detection failure. Please follow the steps below to find the solutions:

All operations will be recorded in the Event Log. To check log can find the main error reasons mostly. Right click on the tray icon [image] on the bottom right of the screen-->Event Log.

    1. Rigth click on the tray icon on the bottom right of the screen-->select system settings-->test settings. If the testing could success, that means database connection is OK; if it fails, the possible reasons could be:

    Reason | Diagnosis | Solutions
Fail to connect to the main server is caused by the firewall on the print server or the dominating server which blocks the communication. | Test Settings displays failure. Check Event Log to see if there is a following Error No. 5020: An unknown error occurs in system module CommonU.GetConfigFromMasterServer, error message is AppUrl=http://JAMES:8200/setup Socket Error # 10061 Connection refused. | Turn off the firewall, or open the TCP port 8100, 8200 UDP port 8201-8209
PrintUsage Application Service on Web manager site does not start |  | Start the Webmanager server PrintUsage Application service
Dominating server's computer name cannot be recognized. |  | Input dominating server's IP address, or add the corresponding IP address of the dominating server to HOST file.
There are problems connecting to the database server. | Test settings displays failure. Check Event Log to see if there is an error No. 4330 and analyze the problem according to the error message. | Make sure database service started If database is MSSQL, make sure authorization mode is SQL Server and Windows mode
Database server name could not be correctly resolved. |  | Use IP address as the database server name when installing manager server. Add the corresponding IP address of the dominating server to local HOST file.

    2.Check for error No. 204 in the Event Log:

    It is caused by connection failure between Print Monitoring Service and database. Please followstep 1 to find the solution.

    3. Check for error No. 200 in the Event Log

    The error is related to software license and the possible reasons are:

    Reason | Diagnosis | Solutions
Trial version expiration | License displays trial version expired. No. 200 log information is: TRIAL_USE_EXPIRED or LICENSE_EXPIRED_REGCODE | Purchase the full version.
Incorrect installation | Trial version Date/Time displayed in license area is some date of 2002 or 2003. It will randomly change to another date after clicking Apply button. Message of error No. 200 in Event Log is: CANNOT_GET_REGCODE_FROM_DB | Reinstall the system and make sure the installation is successful. It takes about 10 to 30 minutes to import users for large domain. Don't cancel during the process.
Software dog detection failure | Only occurs in office version Message of error No. 200 in Event Log is: NO_DONGLE_DETECTED | Make sure software dog is pluged into the USB port. You can plug the USB software dog in and restart PrintUsage Application service


Web manager site couldn't be opened

PrintUsage manager site relies on IIS, but IIS might work abnormally because of some problems such as incomplete installation, purview and port conflict. If Web manager site can not open, it might result from one of the following two errors: (Refer to IIS Installation Manual)

    1. Page displays HTTP 500 - Internal server error

      This means IIS has been running but error occured. Follow the instruction below to get detailed infromation.

      Open IE->Tools->Internet option->Advanced tab, uncheck ¡°Friendly display HTTP error¡± and refresh the manager site to view detailed error information.

      Common errors:

    • Parent paths disabled. Solution: Startup->Administration Tools->Internet Service Manager->Default site->PrintUsage virtual directory->Properties->Virtual directory ->Application configuration->Setup, check on "Enable parent paths."

    • Session not defined: On the screenshot above, check the "Enable Session State".

    • HTTP 403.1 access denied: Execute Permission denied. Solution: Startup->Administration Tools->Internet Service Manager->Default site->PrintUsage virtual directory->Properties->Virtual directory ->Application Settings, set Execute Permissions to Script Only.

    • Directory Listing Denied. Solution: Startup->Administration Tools->Internet Service Manager->Default site->PrintUsage virtual directory->Properties->document, add "default.asp" in Default Document.

      • Please check IIS Help file to look for other errors.

    2. Page can't display. Couldn't find server or DNS error.

    • IIS is installed, but WWW service is not.

    • IIS service doesn't startup or default website is stopped in Internet Web server.

    • Other Web server is installed, and default Port 80 is occupied. You can bind IIS to other port such as 8080 and visit http://localhost:8080/PrintUsage.

    • Virtual directory was not created during installation for some reasons. Please check if there is PrintUsage virtual directory under default site. If there is not, please create virtual directory and have it point to ASP folder under installation directory (C:\Program Files\PrintUsage\). Script execute priviilege is required.

    • If you can not open http://localhost/PrintUsage, please try http://127.0.0.1/PrintUsage.

    • If there are many WEB sites created in the server, PrintUsage folder would be created under certain site, but this site is not the default site that can be visited as Localhost or by computer name. You need to change the access path or manually create PrintUsage virtual directory on default site.


How to deal with "Fail to save print content as image"?

If it pops up this message, that means your printer driver is not compiled by PCL or Postscript language. PrintUsage only supports drivers complied by these two languages to convert print tasks to images. Please contact your printer supplier and check if your printer uses PCL or Postscript language driver, or consult us.

Laser printers of HP, Lexmark, Xerox, Samsung, Sharp and Ricoh support this function except for HP LaserJet 1000 and 1010 series. Laser printers of Epson and Canon do not support this function.

If your printer doesn't support to save print as image, you can save the print as reprint file and print the file later. Procedures: Web manager site-->Printer list-->select save print as "Image + reprint file" or "reprint file".


How to deal with "Specified file doesn't exist on print server or Fail to retrieve file from print server"?

Open IE on manager server to diagnose. Enter http://print:8100 (suppose print server name is print). If the page doesn't display "PrintUsage Http(App) Server is Running...",the possible reasons are:

  • Remote or local PrintUsage HTTP service doesn't startup. To Restart the corresponding HTTP service can solve problem.

  • Manager server cannot resolve print server's IP through computer name, so it cannot connect to HTTP service to retrieve the print content. This occurred often because print server and manager server don't belong to the same subnet or domain. Currently communication between PrintUsage servers is based on computer name, so an entry should be added into HOSTS file of manager server in order to correctly access print server by computer name. Open Hosts file in C:\Winnt\System32\drivers\etc\Hosts and add a line xxx.xxx.xxx.xx print. Here xxx.xxx.xxx.xx refers to IP address of the print server, print refers to the computer name of the print server, and then save and exit.

    • If page can open normally and displays ¡°PrintUsage Http(App) Server is Running...¡±, that means the communication with print server is OK. Then the problem may result from retrieving the print image file. The possible diagnosis are:

    • Firstly to make sure print content file was not removed;

    • Secondly to make sure path of saving print in system settings is correct.

    • If path has been changed ever, after reinsatallation, the path should point to the correct folder for saving print content and restart HTTP service to get previous saved files.


I forget the password of PrintUsage manager site, how to reset it?

You can log on with other user name with the administrator right to reset password. If there isn't any other administrator account, please follow the instructions below:

  • Open C:\Program Files\PrintUsage\bin\PrintUsage.ini and change line "WizardDone=Y" to "WizardDone=N"
  • Run the Configuration Wizard in PrintUsage program group. Select the same type of database as the previous installed one, the system will recognize the previous database and ask if you want to overwrite the data or not. Please make sure you select "NO".
  • Skip the next pages if there is a skip option.
  • To finish, please enter the password for the Admin.


What is the difference between Professional version and Enterprise version? Which version should I choose?

Professional version focuses on printing cost control, and enterprise version focuses on not only printing cost control, but also security management of the printing information.

Comparison | Professional | Enterprise
Monitoring and recording | Y | Y
Printing charges and control | Y | Y
Web report and event log | Y | Y
Multi database type support£¨Access, MSSQL, MYSQL, Oracle£© | Y | Y
Monitoring print content and save as image for review |  | Y
Save print content and reprint |  | Y
Multilevel administration priviilege and roles definition |  | Y
Automatic synchronization between user accounts and domain accounts |  | Y
Manual print sign function |  | Y
User account balance report and history record printing |  | Y
Group statistic collection |  | Y


I want to monitor status of printer, such as offline, out of paper paper lack, inkless and low on carbon powder low. Does PrintUsage have this feature Can PrintUsage do?

PrintUsage only focuses on usage and control of print resource without the function of monitoring hardware. If you use HP network printer or print server, there is an excellent management software called HP Web JetAdmin which would satisfy your requirement. You can download it from HP for free.


After installing PrintUsage, I can monitor the print jobs of the local machine, but cannot monitor other computer's. Why?

This problem happens because the other machines print directly to the network printer through the TCP/IP port while not printing through the shared network printer connecting to the print server where PrintUsage is installed. So the other machines can be monitored only when these machines print through the shared network printer connecting to the print server.


How to prevent user from exiting PrintUsage so that their printing can not be monitored to jump the monitoring?

After installation of PrintUsage, how to prevent the user from print by TCP/IP without being monitored how to avoid that network user directly print by TCP/IP without monitoring?

The purpose to use PrintUsage on network shared printing is to allow print server to communicate with network printer and make sure the shared printer is the only way for printing. Please refer to the following solutions to fix the above issue:

  • On the control panel or manager program of network printer, there is an Access Control List function where you can enter the IP address which has ONLY printing service. Note: Usually, print server also has other network protocols such as NetBios and AppleTalk installed. So please make sure all print protocols except for TCP/IP must be disabled so that the Access Control IP List can function correctly.

  • IP restirction can be done on exchanger.
  • By setting up VLAN division, we can configure the print server to be the only one that can access the IP segment of network printer, but other users can not. That makes other users have no choice but print through the print server.


>How to deal with incorrect copy issue for HP1320 copies of HP1320 incorrect?

The older driver for HP1320 causes the problem. Please download the driver PCL5 from http://www.hp.com. After upgrading, uncheck the "Enable advanced printing features" in Advanced option.


Fail to read registration info during Printusage PrintUsage installation

    1. Check if softdog is installed on dominating server.

    2. Make sure the license you are using matches the right version. License of professional version can not be used for enterprise version; vice versa.

    3. Check if softdog driver is installed correctly. Because there are different operating systems, different user priviileges and different file protection, it's possible that softdog is not installed correctly. Please follow the steps below to install softdog:

      a. Go to bin folder under PrintUsage installation directory and find DogDrv.exe

      b. Click [Start]-->[Run]--> enter cmd and hit Enter

      c. Drag DogDrv.exe to DOS window

      d. Type the following character string in Dos window to install softdog driver

      • /install------- Install driver
      • /uninstall--------Remove driver
      • /interface-------Enter manager interface

        • Note:
        Don't use Terminal to install softdog driver because Termainal thread has conflict with the driver and may fail the installation.


Common log error ID and meaning

Error ID | Meaning | Solution
204 | Print monitoring service startup failure because of database connection problem | Make sure system installed successfully. Make sure database server is accessable and service in running If the print server is a stand alone server, please make sure the dominating server is specified and configured successfully If we need to test the SQL Server 2000 installed on Win2003, SP3 is required.
200 | Print monitoring service startup failure because of license issue | The problem may be caused by trial version expiration or the USB software dog detection failure. Please check the event log for detailed information Terminating the wizard during installation process will lead to error also.
201/202 | Print monitoring service stop because of license issue | Same solutions as 200
1000 | Print monitoring service starts up in order |
1006 | Print monitoring service stops in order |
2091 | Detailed information of printing task | It includes all the detailed information of each print task being monitored.
2071 | List of printers being monitored is added when print service startsTh up | This log shows the list of printers being monitored when print service starts up.
3460/3470/3480 | Error of print monitoring service occured when controlling print tasks | The sporadic error can be ignored. Continued errors can be resoved by restarting ther monitoring service.
3560/3570/3580 | Error of print monitoring service occured when monitoring print tasks | The problem is caused by database connection failure. The sporadic error can be ignored. Continued errors can be resoved by restarting service.
2500/12004 | Error in service update | The problem is caused by database connection failure or configuration error. The sporadic error can be ignored.
4330 | Database connection testing failure | Refer ID 200 and ID 204 soluctions
20102 | Fail to read registration info from USB software dog | Make sure USB software dog connects to USB ports correctly.


About Operator:SetFont error

When printer uses driver PCL6, there is following information:

    PCL Error
      subsystem:GRAPHICS
      Error:internal error 0xffffffff
      Operator:SetFont
      Position:6365
If you are not able to print the correct content, page number won't be correct either. We recommend you to change printer driver to PCL5E or PS, and the problem should be resolved.


When adding a printer in the manager site, it cannot find the shared printer attached to another WinXP machine.

PrintUsage Pro manager site is running under IUser_[server], which is restricted to be a guest account. WinXP by default disabled the Guest account so that it won't have access to the shared printer. Two solutions to fix this problem:

1. Specify a domain user account to run the PrintUsage manager site in IIS. This needs to be done on the machine that has the PrintUsage Manager site installed.

2. Enable the Guest Account in the Local User and Groups

This should be done on the WinXP machine which shares the printer

Open Administrative Tools->Local Security Policy->User rights assignment, delete the Guest from the "Deny access to this computer from the network".

Go to Administrative Tools->Local Security Policy->Security Options. Enable the "Network access: Let Everyone permission apply to anonymous users"

Go to Local Security Policy, Security Settings, reload to take effect.


I have to wait for a long time to print after installing print monitoring service? What's the problem?

This problem is caused by PCL6 driver language. You can speed up printing using the following methods:

  • 1.Change printer driver language to non PCL6, that is PCL5E/PS
  • 2.Use reprint mode


About user inquiry entrance and relevant settings

    There is an user query enterance link on the homepage of the PrintUsage manager site.

    Available condition:
    Anonymous access is not allowed for Query Directory Security of PrintUsage virtual directory.

    If you don't log on using domain account, you should input user name and password.

    Input user name and password to get related information.

    Define the time range of query

    You can setup Query folder security properties.

      1. Enter IIS
      2. Expand IIS folder
      3. Right click Query and select properties.
      4. Select Directory Security

      5.Click [Edit]

      Uncheck [Anonymous access]


After installing the PrintUsage, the software is still a trial version. What should I do?

I have installed the PrintUsage,but the software is still a trial version. What should I do?

It is because Print Monitoring Service cannot obtain the software registration information, which is caused by incorrect installation, incomplete initialization of database, or software dog unavailable. Solutions: uninstall and reinstall the program. If the domain is large, it will take 10 to 30 minutes to import users.


How to deal with "Test configuration" failure after installation of print server?

Reason | Diagnosis | Solutions
Fail to connect to the main server is caused by the firewall on the print server or the dominating server which blocks the communication. | Test Settings displays failure. Check Event Log to see if there is a following Error No. 5020: An unknown error occurs in system module CommonU.GetConfigFromMasterServer, error message is AppUrl=http://JAMES:8200/setup Socket Error # 10061 Connection refused. | Turn off the firewall, or open the TCP port 8100, 8200 UDP port 8201-8209
PrintUsage Application Service on Web manager site does not start |  | Start the Webmanager server PrintUsage Application service
Dominating server's computer name cannot be recognized. |  | Input dominating server's IP address, or add the corresponding IP address of the dominating server to HOST file.
There are problems connecting to the database server. | Test settings displays failure. Check Event Log to see if there is an error No. 4330 and analyze the problem according to the error message. | Make sure database service started If database is MSSQL, make sure authorization mode is SQL Server and Windows mode
Database server name could not be correctly resolved. |  | Use IP address as the database server name when installing manager server. Add the corresponding IP address of the dominating server to local HOST file.


What should I pay attention to when installing PrintUsage management server on Win2003?

For PrintUsage, the operation system needs the server included files and needs to support ASP script language. But the default option of Windows 2003 disables these two functions. So you need to change some settings in order to run PrintUsage on Windows 2003:

  • Start->Programs->Adminitrative Tools ->Internet Information Services (IIS) Manager->Web Service Extensions. Allow ¡°Active Server Pages¡± and ¡°Server side includes¡±.

  • Start->Programs->Adminitrative Tools ->Internet Information Services (IIS) Manager-->Website->Default Website->PrintUsage->Properties->Virtual Directory->Options, check the Start parent path and Start conversation status and then click OK.


Print monitoring service has started, but why print tasks cannot be recorded in system?

The monitoring service would run only if the monitoring service is added into Web manager site and a printer is added. The above problem may be caused by:

1. Print monitoring service doesn't strat. You can check print service status in print monitoring service manager. Note: If you are in the Terminal Service window, the displayed status of montoring service manager might not be correct. You should check the status of PrintUsage Service in Windows Administratiive Tools->Service and make sure it's started.

2. Print server is not added to the Web Web manager site. Please log on Web manager site and make sure the Print Server is listed.

3. Printer is not being monitored. If it's the case, please add printer from the printer list page.

4. After adding printer to the Web manager site, print monitoring service was not restarted. After adding printer, print monitoring service would not work until you restart the program.

5. Windows printer name changed. Changing the printer name could disable the monitoring service. PrintUsage would assume that this is another printer and it doesn't need to be monitored. To solve this problem, you need to add the print server again or change the printer name back to the original one. £¨Note: PrintUsage will treat this added printer as a new printer and the new printer account does not have any relationship with the old printer account.£©

By checking the event log of ID=2071, you can confirm the above problems from 2 to 5. Please make sure the printer you are monitoring is in the list.


What is the default user name and password of PrintUsage?

Password of PrintUsage manager site can be set on the last step of installation wizard. If you don't set password, the default user name is "admin". The user has the full control.


My manager server, print server and network printer do not belong to the same network segment. How to install?

The networking requirement for PrintUsage are only TCP and database access and theoretically it does not matter if it's overcross network installlation. PrintUsage can be installed and operate as long as TCP/IP and database access ports are not blocked.The following should be noticed during the installation over different subnet

  • When installing print server, if Web dominating server is in another network segment, print monitoring service would not find the dominating server. You should enter the machine name or IP address for the dominating server in system configuration.


I insert licensed attached the USB Dongle software dog, but why Windows cannot find driver?

USB software dog only needs to be installed on PrintUsage manager server.

  • Firstly check if computer BIOS disabled the USB controller.

  • Make sure you are using USB software dog in console, not the end service.

  • USB software dog driver will install automatically along with PrintUsage installation. If you insert USB software dog without PrintUsage installed, system will pop up error "Can't find hardware driver". So please install PrintUsage first and then insert USB software dog according to the wizard notice.

  • If Windows doesn't find hardware driver, an unknown equipment UMC(5.3) will be added. Please remove the equipment first, and install PrintUsage package.

  • After installing driver correctly, a USB MicroDog Device will display under the Universal Serial Bus Controller option and it will work normally.

  • Manually install software dog driver. Start-->Run-->cmd-->Enter-->cd C:\Program Files\PrintUsage\bin. Executive dogDrv.exe /uninstall to remove old driver and executive dogDrv.exe /install to install new driver.


I have manager site running on machine A. On machine B, I enter A as the master server, but "Test Configuration" always fails. Why?

1. Please first make sure the manager site on A is running and can be visited from http://A/printusage

2. If you have manually configured the manager site running on a different port, say http://A:800/printusage, you should use the full URL in the Master Server, that is http://A:800/printusage

3. If you have specified another name of printusage virtual directory, say http://A/print, you should use the full URL in the Master Server, that is http://A/print

4. Please make sure you are using MS SQL Server or MySQL as database on A. MS Access is not supported in this distributed environment.


Can I install PrintUsage using Terminal Server on end service? What should I pay attention to?

Yes. But at the beginning, USB software dog cannot be recognized by the Termial service. Only after you log onto the Desktop, the system can find new hardware and install the driver.

About USB software dog, please refer to I insert licensed USB software dog, but why Windows cannot find driver?


My drive C drive does not have has no enough space., how How can I save the print content on other drivesor network shared folder?

Right click tray icon-->System configuration-->Advanced to change the print content folder. You can click "Change print content saving folder" to choose other folder. After changing the folder, system will move existing backup files to the new folder.

To setup network shared folder as saving path:
PrintUsage supports UNC format path such as \\Server\share, so you can save different print server contents to central file server or network storage for convenient management and backup and security purposes. Shared folder should be setup with sharing access priviilege to avoid unauthorized user to view print content saved in the shared folders.

Shared folder NTFS priviilege should be set up with Administrators: complete control; Print server account: Complete control. It is the machine account but not user account. So general user would have no right to access the shared folder, but print monitoring service can still work normally.

Refer to Saving print content


When I run the setup program, it says it needs IIS installed. What does this mean?

PrintUsage requires IIS to be running. IIS is a windows components, the installation process will remind you if it finds out that the current server doesn't have IIS installed. IIS is not installed by default, so you need to install it before you can continue to install PrintUsage.

For Win2000/XP users:

Control Panel->Add/Remove Programs->Add/Remove Windows Components->Select Internet Information Service (IIS).

Internet Information Service Snap-In and World Wide Web Server is required, please select.

For Windows 2003 Users:

Control Panel->Add/Remove Programs->Add/Remove Windows Components->Select Application Server.

Select Internet Information Services (IIS). Click Details.

Choose at least Internet Information Services Manager and World Wide Web Service. Click Details:

Make sure you select Active Server Pages, Server Side Includes and World Wide Web Services.


How to correctly install MSDE as database server?

MSDE is a free desktop SQL Server published by Microsoft, which has most functions of SQL Server.
Free download at Microsoft official website: http://www.microsoft.com/downloads/details.aspx?FamilyId=413744D1-A0BC-479F-BAFA-E4B278EB9147&displaylang=zh-cn#filelist.

Run CHS_MSDE2000A.exe to decompress files to the hard disk. Default folder is C:\MSDERelA.
Open DOS prompt window. Use command cd to enter folder MSDE 2000 Release A

Executive command:

setup DISABLENETWORKPROTOCOLS=0 SAPWD="666666" SECURITYMODE=SQL

¡°DISABLENETWORKPROTOCOLS=0¡± indicates to accept application programs connection from other computers.

¡°SAPWD="666666"¡± indicates 666666 is a powerful password specified for sa

¡°SECURITYMODE=SQL¡± indicates to configure installation with complex modes


Could PrintUsage be installed on WAN and monitor remote printers?

Theoretically, as long as manager server, database server and print server can implement IP communication by VPN or other network techniques, the PrintUsage can be installed. But in real application, whether it will work smoothly is determined by WAN speed. At least 2Mbps connection speed is required for smooth work, or print task has to wait for a long time in task queue.


How to prevent user from exiting PrintUsage so that their printing can not be monitored to jump the monitoring?

PrintUsage print service runs as a system service, so the monitoring service runs normally even if there is no user logon. After user logon, there will be a printer icon in the system tray. This icon is for the configuration tool of print monitoring service but not for the monitoring function. Even if user exits the program, the monitoring service will not stop.

For those printers shared on individual workstations, we should prevent user from stopping print monitor service or uninstalling PrintUsage to hide from the monitoring. SO only Administrators or Power Users have the priviilege to stop the service or uninstall PrintUsage.


How to choose authorization mode?

PrintUsage is a complete print management system. The key of management is to monitor who prints and to monitor the user authorization. PrintUsage provides two authorization modes:

    Authorization by user name

      Management and control are based on user name sending the print order. If user logs on with domain account, user name is the domain user name; otherwises, it would be the local computer user name. The authorization mode is PrintUsage's default mode and is the recommanded mode which fits for domain or active directory network.

      Authorization by computer name

      Mangement and control are based on computer name sending print order. The mode fits for equal network. User logs on with local user name, but print server doesn't recognize the local user name. So all print tasks are recorded as Guest printing. Computer name is the only symbol to distinguish from the user. With this authorization mode, PrintUsage can satisfy print monitoring for equal network users.

    Conclusion

      LAN using domain or active directory, authorization by user name is adopted.
      LAN using equal network, authorization by computer name is adopted.


About user inquiry entrance and relevant settings

How to change the currency from $ to deferent value?

    You can use the following steps to change it

      1.Go to install directory, It is 'C:\Program Files\PrintUsage' as default.

      2.Open directory [Language]

      3.Edit 'eng.ini' as text

      4.Edit the line CurrencyType=$, change $ to any currency sign you want.

      5.Save and exit editor

      6.Restart [PrintUsage Service]


Copyright

Copyright Info

PrintUsage is a print monitoring software developed by AMAX Information Technologies Inc. and any organization,company and individual have no right to

    1. re-transfer the lincese of the system
    2. make reversed engineering, programme or disassembly
    3. install one license on several computers
    4. publish registration code or impart others

After purchasing, you will have following rights:

    1. permanently own and use the software
    2. obtain the registration code
    3. one year free unlimited Email, telephone, telnet technical support
    4. upgrade free to latest version in one year
    5. new version notification

Latest update: 5/26/2006


Index

Navigation Created by FAR HTML


Search

Add your Search HTML here

Navigation Created by FAR HTML


Title Text

This page uses frames, but your browser doesn't support them.


Contents

Navigation Created by FAR HTML


My operating system is Windows English version, can I install the Chinese version of PrintUsage?

Yes. Considering some users will print document files with Chinese name, the following setup must be done to make sure the Chinese file name can be recognized.

Windows2000/XP

Windows2003


PrintUsage Assistant

Single parallel/USB port printer connecting with [Server I] and users sharing to print by [Server I]

[Optimal Plan]

1.PrintUsage is completely installed on the [server one]. Example

  • [server one] needs WinNT, 2000/XP/2003 Windows System with installed IIS server except of Win9x.

2.Database choice of Access can meet user's need. Example

  • If condition permitting, you will get better result with the choice of SQL Server, MYSQL or Oracle. Example.
  • Selected SQL Server needs the installation of SQL Server 7.0/2000 on the [server one] or other computer. Free MSDE is also OK.
  • Selected MySQL needs the installation of MySQL on the [server one] or other computer( you can choose any one new edition between 3.23 tested edition and 4.01.). [Server one] needs installation of My ODBC, if MySQL is installed on the other computer.

3. Select Suitable User Mode Authentication according to the Mode Group Network.

  • Choose user authentication if it is active index/ domain LAN. Example.
  • Choose computer authentication if it is work group LAN. Example.

4. Add [Server One] and Monitored Printers to System in the Managing Website after Installation. Example.

  • Trial edition is only applicable to one printer. Formal licensed edition should be bought to realize multi-computer monitoring.
  • User choosing advanced monitoring mode needs set charging unit price of server/printer. Example.

¡¡

[Optional Plan]

Aim: owned professional WEB server; hope not to install too many other services on the printing server; printing server can not offer IIS.

Suppose that there is one [server two], with installed Windows 2000 edition and IIS and SQL Server 2000.

¡¡

1. Install by Custom Printing Monitoring Service on the [Server One] . Example.

¡¡

  • [Server one] needs WinNT, 2000/XP/2003 Windows System except of Win9x.

2. Install by Custom Web Managing Website. Example. Database should Choose SQL Server 7.0/2000 or MYSQL. Example.

¡¡

  • The plan can not choose Access as database, because Access is the type of file database, controlling service of [server one] can not visit it if it is installed on the [server two].

3. Set Main Controlling Server of Printing Monitoring Service on the [Server One]:[Server Two]¡£ [image] Example

4. Choose Suitable User Mode Authentication according to the Mode of Group Network.

  • Choose user mode authentication if it is active index/ domain LAN. Example
  • Choose computer mode authentication if it is work group LAN. Example

5. Add [Server One] and Monitored Printers to System in the Managing Website after Installation. Example

  • Trial edition is only applicable to one printer. Formal licensed edition should be bought to realize multi-computer monitoring.
  • User choosing advanced monitoring mode needs set charging unit price of server/printer. Example.

¡¡


PrintUsage Assistant

Single parallel/USB port printer connecting with printing server (eg. HP JetDirect) and users printing directly by LAN

[Best Choice]

PrintUsage currently does not support this mode of print monitoring, but if network direct print is not necessary, it is available. Please refer [Optional Choice]

[Optional Choice I]

Preparation:

  • Configure one [Server I] with Windows2000 OS or above and ensure IIS service installed.
  • Use LAN connecting with printer on [Server I] and sharing.
  • Set other workstations to print with shared printer by [Server I] but not print directly by LAN.

1.Full install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 OS and IIS service on [Server I] (Win9x support not available)

2.Access database is based requirement. Example

  • If possible, selecting SQL Server or MYSQL as database will be more effective. Example
  • Selecting SQL Server needs to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported
  • Selecting MySQL Server needs to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode sets up server/printer unit price. ¡£ [image] Example

Comparing with Direct LAN Print:

Advantage: print monitoring available, easy to install printer and driver, simple management

Disadvantage: low efficiency, required one computer to supply print service

Note: Users requiring strict print monitoring need to make some settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Solution: Popular print server (eg. HP JetDirect) provides function of IP access limit. Please check your user manual of print server. Example: HP JetDirect IP access limit setup method

[Optional Choice II]

Objective: special WEB server existing; don't install too much other service on printing server; IIS service is not availavle on print server.IIS¡£

Assume there exists one [Server II] installed Windows2000 Server OS and IIS and SQl Server2000.

1.Custom install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 operating system and IIS service on [Server I] (Win9x support not available)

2.Custom install WEB manager site on [Server II]. Example Choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database and it would cause monitoring access of [Server I] unavailable if [Server II] installs Access.

3.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

4.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

5.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode sets up server/printer unit price. ¡£ [image] Example


PrintUsage Assistant

Single parallel/USB port printer connecting with printing server (eg. HP JetDirect) and [Server I] connecting with printer by LAN and sharing for users to print

[Best Choice]

1.Full install PrintUsage on [Server I] [image] Example

  • Require WinNT, 2000/XP/2003 operating system and IIS service on [Server I] (Win9x support not available)

2.Access database is the basic requirement. Example

  • If possible, selecting SQL Server or MYSQL as database will be more effective. Example
  • Selecting SQL Server needs to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • Selecting MySQL Server needs to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode sets up server/printer unit price.¡£ [image] Example

Note: Users requiring strict print monitoring need to make some settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Rolutions: Popular print server (eg. HP JetDirect) provides function of IP access limit. Please check your user manual of print server. Example: HP JetDirect IP access limit setup method

[Optional Choice]

Objective: special WEB server existing; don't install too much other service on printing server; IIS service is not availavle on print server.

Assume there exists one [Server II] installed Windows2000 Server OS and IIS and SQl Server2000. Server2000¡£

1.Custom install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 operating system and IIS service on [Server I] (Win9x support not available)

2.Custom install WEB manager site on [Server II]. Example Choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database which would cause monitoring access of [Server I] unavailable if [Server II] installs Access. ÎÞ·¨·ÃÎÊµ½¡£

3.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

4.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

5.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode sets up server/printer unit price. ¡£ [image] Example


PrintUsage Assistant

Single network port printer (i.e.network printer) and users printing directly by LAN

[Best Choice]

PrintUsage currently does not support this mode of print monitoring, but if network direct print is not necessary, it is available. Please refer[Optional Choice]

[Optional Choice I]

Preparation:

  • Configure one [Server I] with Windows2000 OS or above and ensure IIS service installed.
  • Use LAN connecting with printer on [Server I] and sharing.
  • Set other workstations to print with shared printer by [Server I] but not print directly by LAN.

1. Full install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 OS and IIS service on [Server I] (Win9x support not available)

2.Access database is the basic requirement. Example

  • If possible, selecting SQL Server or MYSQL as database will be more effective. Example
  • Selecting SQL Server needs to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported
  • Selecting MySQL Server needs to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer unit price. ¡£ [image] Example

Comparing with Direct LAN Print:

Advantage: print monitoring available, easy to install printer and driver, simple management

Disadvantage: low efficiency, required one computer to supply print service

Note: Users requiring strict print monitoring need to make some settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Solutions: Both high and medium network printers provide the function of IP access limit. Please refer your user manual of network printer. Example: HP Series network printer IP access limit setup method

[Optional Choice II]

Objective: special WEB server existing; don't install too much other service on printing server; IIS service not availavle on print server.

Assume there exists one [Server II] installed Windows2000 Server OS and IIS and SQl Server2000.

1.Custom install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 operating system and IIS service on [Server I] (Win9x support not available)

2.Custom install WEB manager site on [Server II] Example and choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database which would cause monitoring access of [Server I] unavailable if [Server II] installs Access.

3.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

4.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

5.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer unit price.¡£ [image] Example


PrintUsage Assistant

Single network port printer (i.e.network printer) and [Server I] connecting with printer by LAN and sharing for users to print

[Best Choice]

1.Full install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 operating system and IIS service on [Server I] (Win9x support not available) )

2.Access database is the basic requirement. Example

  • If possible, selecting SQL Server or MYSQL as database will be more effective. Example
  • Selecting SQL Server need to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • Selecting MySQL Server need to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer unit price. ¡£ [image] Example

Note: Users requiring strict print monitoring need to make some settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Solutions: Both high and medium network printers provide the function of IP access limit. Please refer your user manual of network printer. Example: HP Series network printer IP access limit setup method

[Optional Choice]

Objective: special WEB server existing; don't install too much other service on printing server; IIS service not availavle on print server.

Assume there exists one [Server II] installed Windows2000 Server OS and IIS and SQl Server2000.

1.Custom install PrintUsage on [Server I]. Example

  • Require WinNT, 2000/XP/2003 operating system and IIS service on [Server I] (Win9x support not available)

2. Custom install WEB manager site on [Server II]. Example Choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database which would cause monitoring access of [Server I] unavailable if [Server II] installs Access.

3.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

4.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

5.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer unit price.¡£ [image] Example


PrintUsage Assistant

Multi printers with parallel/USB port connecting with [Server I] and users sharing to print by [Server I]

[Best Choice]

1.Full install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 operating system and IIS service required on [Server I] (Win9x support not available)

2.Access database is the basic requirement. Example

  • If possible, selecting SQL Server or MYSQL as database will be more effective. Example
  • Selecting SQL Server needs to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • Selecting MySQL Server needs to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4. After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer unit price.¡£ [image] Example

[Optional Choice]

Objective: special WEB server available; don't install too much other service on printing server; IIS service is not availavle on print server.

Assume there exists one [Server II] installed Windows2000 Server OS and IIS and SQl Server2000.

1.Custom install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 operating system and IIS service required on [Server I] (Win9x support is not available)

2.Custom install WEB manager site on [Server II] [image] Example choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database which would cause monitoring access of [Server I] unavailable if [Server II] installs Access.

3.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

5.After installation completed, enter manager site to add [Server I] and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authenticated version software, it can monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer unit price. ¡£ [image] Example


PrintUsage Assistant

Multi printers with parallel/USB port connecting respectively with [Server I], [Server II]...[Server N] and users sharing to print by [Server I], [Server II]...[Server N]

[Best Choice]

1.Full install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 operating system and IIS service required on [Server I] (Win9x support not available)

2.Select SQL Server7.0/2000 or MYSQL as database. Example

  • Access Database is not available.
  • If you select SQL Server, please install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • If you select MySQL, please install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). My ODBC should be installed on [Server I], [Server II]...[Server N].

3.Select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.Custom install print monitoring service on [Server II]...[Server N]. Example

  • WinNT, 2000/XP/2003 operating system required on [Server II]...[Server N] (Win9x support not available)

5.Host server of configuring print monitoring service on [Server II]...[Server N] is [Server I]. Example

6.After installation completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example

¡¡

¡¡

[Optional Choice]

Objective: Do not wish to install too much other services on print server or IIS services not available on print server.

Assume one [Server x] installed Windows2000 Server OS and IIS.

¡¡

¡¡

1.Custom install WEB manager site on [Server x]. Example

2.Select SQL Server7.0/2000 or MYSQL as database. Example

  • Access Database is not available.
  • Select SQL Server need to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • Selecting MySQL needs to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). My ODBC should be installed on [Server I], [Server II]...[Server N].

3.Select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.Custom install print monitoring service on [Server I], [Server II]...[Server N]. Example

  • WinNT, 2000/XP/2003 operating system required on [Server I], [Server II]...[Server N] (Win9x support not available)

5.Host server of configuring print monitoring service on [Server I], [Server II]...[Server N] is [Server x]. Example

6.After installation completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example

¡¡


PrintUsage Assistant

Multi printers with network port (i.e.network printer) and users printing directly with different printers by LAN

[Best Choice]

PrintUsage currently does not support this mode of print monitoring, but if network direct print is necessary, it is available. Please refer to [Optional Choice]

¡¡

¡¡

[Optional Choice I]

Preparation:

  • Configure one [Server I] with Windows2000 OS or above and ensure IIS service installed.
  • Use LAN connecting with printer on [Server I] and sharing.
  • Set other workstations to print with shared printer by [Server I] but not print directly by LAN.

¡¡

1.Full install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 OS and IIS service required on [Server I] (Win9x support not available)

2.Basic requirement to access database. Example

  • There are two options, you may select SQL Server or MYSQL as database. Example
  • If you select SQL Server, please install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • If you select MySQL Server, please install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.Select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.After installation is completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example

¡¡

Comparing with Direct LAN Print:

Advantage: print monitoring, easy to install printer and driver, simple management

Disadvantage: low efficiency, required one computer to supply print services

¡¡

Note: Users require strict print monitoring need to change settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Solutions: Both high and medium network printers provide the function of limited IP access. Please refer to your user manual for network printer. Example: HP Series network printer IP access limit setup method

¡¡

¡¡

[Optional Choice II]

Objective: Do not wish to install too much other services on print server or IIS services not available on print server.

Assuming [Server II] is installed with Windows2000 Server OS or SQl Server2000.

¡¡

Preparation:

  • Use LAN connecting with printer on [Server I] and sharing.
  • Set other workstations to print with shared printer by [Server I] and not to print directly by LAN.

¡¡

1.Custom install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 OS required on [Server I] (Win9x support not available)

2.Custom install WEB manager site on [Server II] [image] Example choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database and monitoring access to [Server I] will not be available if [Server II] is installed with Access.

3.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

4.To select authentication in network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

5.After installation is completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example


PrintUsage Assistant

Multi printers with network port (i.e.network printer) connecting to [Server I] by LAN and for users sharing to print

[Best Choice]

1.Full install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 operating system required on [Server I] (Win9x support not available)

2.Basic requirement to access database. Example

  • There are two options, you may select SQL Server or MYSQL as database. Example
  • If you select SQL Server, please install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • If you select MySQL Server, please install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). If MySQL is installed on other computer, it should install My ODBC on [Server I].

3.Select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.After installation completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example

¡¡

Note: Users requiring strict print monitoring need to change settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Solutions: Both high and medium network printers provide the function of limited IP access. Please refer to your user manual of network printer. Example: HP Series network printer IP access limit setup method

¡¡

[Optional Choice]

Objective: Do not wish to install too much other services on print server or IIS services not available on print server.

Assuming [Server II] is installed with Windows2000 Server OS or SQl Server2000.

¡¡

¡¡

1.Custom install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 OS required on [Server I] (Win9x support not available)

2.Custom install WEB manager site on [Server II] [image] Example choose SQL Server7.0/2000 or MYSQL as database. Example

  • Cannot choose Access as database because Access is file type database and monitoring access to [Server I] will not be available if [Server II] is installed with Access.

3.Host server of configuring print monitoring service on [Server I] is [Server II]. Example

4.To select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

5.After installation completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example


PrintUsage Assistant

Multi printers with network port (i.e.network printer) connecting respectively with [Server I], [Server II]...[Server N] by LAN and sharing for users to print by different printers

[Best Choice]

1.Full install PrintUsage on [Server I]. Example

  • WinNT, 2000/XP/2003 operating system and IIS service required on [Server I] (Win9x support not available)

2.Select SQL Server7.0/2000 or MYSQL as database. Example

  • Access Database is not available.
  • If you select SQL Server, please install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • If you select MySQL , please install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). My ODBC should be installed on [Server I], [Server II]...[Server N].

3.Select authentication based on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.Custom install print monitoring service on [Server II]...[Server N]. Example

  • WinNT, 2000/XP/2003 operating system required on [Server II]...[Server N] (Win9x support not available)

5.Host server of configuring print monitoring service on [Server II]...[Server N] is [Server I]. Example

6.After installation is completed, enter manager site to add [Server I] and printer monitoring to start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example

Note: Users requiring strict print monitoring need to change settings on print server (eg. HP JetDirect) to avoid user directly printing by LAN without monitoring.

Solutions: Both high and medium network printers provide the function of IP access limit. Please refer your user manual of network printer.Example: HP Series network printer IP access limit setup method

¡¡

[Optional Choice]

Objective: special WEB server existing; don't wish to install too much other service on printing server; IIS service not availavle on print server.

Assume one [Server x] installed Windows2000 Server OS and IIS.

¡¡

1.Custom install WEB manager site on [Server x]. Example

2.Select SQL Server7.0/2000 or MYSQL as database. Example

  • Access Database is not available.
  • Select SQL Server need to install SQL Server7.0/2000 on [Server I] or other computers. Free MSDE is supported.
  • Ñ¡Selecting MySQL needs to install MySQL Server7.0/2000 on [Server I] or other computers (to choose tested 3.23 and 4.01 version, or any latest version). My ODBC should be installed on [Server I], [Server II]...[Server N].

3.Select authentication base on network mode.

  • If LAN with active directory/domain, please select "Authenticated by User". Example
  • If LAN with work group, please select "Authenticated by Computer Name". Example

4.Custom install print monitoring service on [Server I], [Server II]...[Server N]. Example

  • WinNT, 2000/XP/2003 operating system required on [Server I], [Server II]...[Server N] (Win9x support not available)

5.Host server of configuring print monitoring service on [Server I], [Server II]...[Server N] is [Server x]. Example

6.After installation completed, enter manager site to add [Server I] and printer monitoring needed to system and start monitoring. Example

  • Trial version only supports monitoring single printer. After buying corresponding authentic software version, you will be able to monitor multi printers.
  • The user selecting advanced monitoring mode needs to set up server/printer charge unit price. Example

¡¡


PrintUsage Assistant

Example: Choose Access as Database


PrintUsage Assistant

Example: Add Server and Printer to System

Step one£ºClick connection of server groups, click [image] button first, and hit next step button.

¡¡

¡¡

Step Two: Choose listed Printers and click " add" button


PrintUsage Assistant

Example: Choose Computer Name as the Authentication Mode


PrintUsage Assistant

Example: Choose User Name as the Authentication Mode


PrintUsage Assistant

Example: Full installation


PrintUsage Installation Assistant

Select from the following options based on your intent, the assistant will provide you the most suitable project of installation :

Single Printer
 | Single parallel/USB port printer connecting with [Server I] and users sharing to print by [Server I]
 | Single parallel/USB port printer connecting with printing server (eg. HP JetDirect) and users printing directly by LAN
 | Single parallel/USB port printer connecting with printing server (eg. HP JetDirect) and [Server I] connecting with printer by LAN and sharing for users to print
 | Single network port printer (i.e.network printer) and users printing directly by LAN
 | Single network port printer (i.e.network printer) and [Server I] connecting with printer by LAN and sharing for users to print
Multiple Printers
 | Multi printers with parallel/USB ports connecting with [Server I] and users sharing to print by [Server I]
 | Multi printers with parallel/USB ports connecting respectively with [Server I], [Server II]...[Server N] and users sharing to print by [Server I], [Server II]...[Server N]
 | Multi printers with network ports (i.e.network printer) and users printing directly with different printers by LAN
 | Multi printers with network ports (i.e.network printer) connecting with [Server I] by LAN and sharing for users to print
 | Multi printers with network ports (i.e.network printer) connecting respectively with with [Server I], [Server II]...[Server N] by LAN and sharing for users to print by different printers


PrintUsage Assistant

Example: Set Main Controlling Server of Printing Monitoring Service


PrintUsage Assistant

Example: Choose SQL Server 7.0/2000 as Your Database

Example: Choose Oracle as Your Database

Example: Choose MySQL as Database


PrintUsage Assistant

Example: Install Printing Monitoring Service by Custom


PrintUsage Assistant

Example: Set Charged Unit Price of Server/Printer

Enter " charge" optional box after choosing server or printer. The default mode of Server settings will be carried to printer of the server. Printer has the option not to inherit server settings.

¡¡


PrintUsage Assistant

Example: Install WEB Managing Website by Custom


Choose Language